SELECT SO.LINK as Project, Release = 67584, Fix = (select max(S1.Fix) from S_RELEASE S1 WHERE S1.release = 67584)
INTO #tmpRelease
FROM S_OBJECTS SO
WHERE RTRIM(LTRIM(SO.CODE))='PROJECT'

BEGIN TRAN
	Select SFU.Name, SR.ID as Release, SFU.Path, SFU.CreateDate, SFU.FileSize, SFU.ID as oldID
	INTO #tmpFiles
	From S_FILES_U SFU INNER JOIN S_RELEASE SR ON 1=1
		INNER JOIN #tmpRelease T ON T.Release = SR.Release AND T.FIX = SR.FIX

	DELETE FROM S_FILES
	FROM #tmpFiles T WHERE T.NAME = S_FILES.NAME
	
	
	INSERT INTO S_FILES(Name, Release, Path, CreateDate, FileSize)
	SELECT Name, Release, Path, CreateDate, FileSize
	From #tmpFiles
	
	
	INSERT INTO S_FILEPARTS(File_ID, ORDERS, BODY)
	Select SF.ID, SPU.Orders, convert(varchar(8000), SPU.Body)
	From S_FILES SF, S_FILEPARTS_U SPU, #tmpFiles TF
	Where SF.Release = TF.Release
		AND SF.Name = TF.Name
		AND SPU.File_ID = TF.oldID

	IF EXISTS(select * from s_files F
		where F.Filesize <> (select sum(datalength(body)) from s_fileparts where file_id = F.id))
	BEGIN 
		ROLLBACK
		raiserror('     !   !',11,1)
		RETURN
	END
WHILE @@TRANCOUNT > 0
	COMMIT TRAN

Drop Table #tmpFiles
Drop Table #tmpRelease
GO
exec VX_UPGRADE_CLEAR
GO

 Declare @dbname sysname
Select @dbname = db_name()
exec sp_dboption @dbname, 'dbo use only', 'false'
GO

WHILE @@TRANCOUNT > 0
	raiserror('@@TRANCOUNT>0!!!',11,1)
GO
