--  LINK_G  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'LINK_G', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[UVED_U_DOC] ADD [LINK_G] int NULL 
GO
--  LINK_DEP  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'LINK_DEP', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[UVED_U_DOC] ADD [LINK_DEP] int NOT NULL CONSTRAINT [DF_UVED_U_DOC_LINK_DEP] DEFAULT ((0))
GO
--  LINK_KBK  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'LINK_KBK', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[UVED_U_DOC] ADD [LINK_KBK] int NOT NULL CONSTRAINT [DF_UVED_U_DOC_LINK_KBK] DEFAULT ((0))
GO
--  LINK_SGU  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'LINK_SGU', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[UVED_U_DOC] ADD [LINK_SGU] int NOT NULL CONSTRAINT [DF_UVED_U_DOC_LINK_SGU] DEFAULT ((0))
GO
--  LINK_DCL  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'LINK_DCL', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[UVED_U_DOC] ADD [LINK_DCL] int NULL CONSTRAINT [DF_UVED_U_DOC_LINK_DCL] DEFAULT ((0))
GO
--  summa  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'SUMMA', 'AllowsNull') is NULL
   ALTER TABLE [dbo].[UVED_U_DOC] ADD [SUMMA] numeric(18, 2) NOT NULL CONSTRAINT [DF_UVED_U_DOC_SUMMA] DEFAULT ((0))
GO

/****** Object:  Trigger [UVED_U_DOC_XINSERT]    Script Date: 08/30/2011 12:15:02 ******/
if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[UVED_U_DOC_XINSERT]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
	DROP TRIGGER [dbo].[UVED_U_DOC_XINSERT]
GO

IF  EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_UVED_U_DOC_G_PROV1]'))
	ALTER TABLE [dbo].[UVED_U_DOC] drop [FK_UVED_U_DOC_G_PROV1]
GO


--  LINK_G1  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'LINK_G1', 'AllowsNull') is not NULL
begin
   execute('update T
	Set	LINK_G = G.LINK,
		LINK_DEP = D.LINK,
		LINK_KBK = KBK.LINK,
		LINK_SGU = SGU.LINK,
		LINK_DCL = DCL.LINK,
		SUMMA = G2.SUMMA
			
	from dbo.UVED_U_DOC T
	inner join dbo.G_PROV1 G1 on T.LINK_G1 = G1.LINK
	inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK
	inner join dbo.G_PROV_AP GAP1 on GAP1.LINK_UP = G2.LINK and GAP1.DB_KR = 0
	inner join dbo.G_PROV_AP GAP2 on GAP2.LINK_UP = G2.LINK and GAP2.DB_KR = 1
	inner join dbo.G_PROV G on G1.LINK_UP = G.LINK
	inner join dbo.S_OBJECTS SO on G.OBJECT = SO.LINK
	inner join dbo.OSNOV_VID OV on OV.OBJECT = SO.CODE
	left join dbo.DEPARTMENT_ACCOUNTS DA on DA.LINK = isnull(GAP2.DEP_ACC,GAP1.DEP_ACC)
	left join dbo.DEPARTMENTS D on D.LINK = coalesce(GAP2.DEP,GAP1.DEP,DA.LINK_UP)
	left join dbo.KL_KBK KBK on KBK.LINK = isnull(GAP2.KBK,GAP1.KBK)
	left join dbo.KOSGU  SGU on SGU.LINK = isnull(GAP2.SGU,GAP1.SGU)
	left join dbo.DOP_CLASSIF DCL on DCL.LINK = isnull(GAP2.AP2,GAP1.AP2)')
	
	ALTER TABLE [dbo].[UVED_U_DOC] drop column LINK_G1
end
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[G_PROV1_UVED_DELETE]') and OBJECTPROPERTY(id, N'IsTrigger') = 1)
drop trigger [dbo].[G_PROV1_UVED_DELETE]
GO
Exec x_update_delete_triggers
GO


IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_UVED_U_DOC_KL_KBK]'))
ALTER TABLE [dbo].[UVED_U_DOC] 
ADD CONSTRAINT [FK_UVED_U_DOC_KL_KBK] FOREIGN KEY ([LINK_KBK]) REFERENCES [dbo].[KL_KBK] ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_UVED_U_DOC_KOSGU]'))
ALTER TABLE [dbo].[UVED_U_DOC] 
ADD CONSTRAINT [FK_UVED_U_DOC_KOSGU] FOREIGN KEY ([LINK_SGU]) REFERENCES [dbo].[KOSGU] ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_UVED_U_DOC_G_PROV]'))
ALTER TABLE [dbo].[UVED_U_DOC] 
ADD CONSTRAINT [FK_UVED_U_DOC_G_PROV] FOREIGN KEY ([LINK_UP]) REFERENCES [dbo].[G_PROV] ([LINK])
 ON DELETE CASCADE
 ON UPDATE CASCADE
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_UVED_U_DOC_DOP_CLASSIF]'))
ALTER TABLE [dbo].[UVED_U_DOC] 
ADD CONSTRAINT [FK_UVED_U_DOC_DOP_CLASSIF] FOREIGN KEY ([LINK_DCL]) REFERENCES [dbo].[DOP_CLASSIF] ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_UVED_U_DOC_DEPARTMENTS]'))
ALTER TABLE [dbo].[UVED_U_DOC] 
ADD CONSTRAINT [FK_UVED_U_DOC_DEPARTMENTS] FOREIGN KEY ([LINK_DEP]) REFERENCES [dbo].[DEPARTMENTS] ([LINK])
GO

IF  NOT EXISTS (SELECT * FROM dbo.sysconstraints WHERE constid =  object_id('dbo.[FK_UVED_U_DOC_G_PROV1]'))
ALTER TABLE [dbo].[UVED_U_DOC] 
ADD CONSTRAINT [FK_UVED_U_DOC_G_PROV1] FOREIGN KEY ([LINK_G]) REFERENCES [dbo].[G_PROV] ([LINK])
GO

--  LINK_G1  UVED_U_DOC
IF COLUMNPROPERTY(object_id('[dbo].[UVED_U_DOC]'), 'LINK_G1', 'AllowsNull') is not NULL
   ALTER TABLE [dbo].[UVED_U_DOC] drop column LINK_G1
GO


IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC', ' ', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U'), (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC', NAME = ' ', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='CLASS_GRID_GROUP'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_CHECKED')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_CHECKED', '', 1, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_CHECKED', NAME = '', ORDERS = '1', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_CHECKED'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_NUM_REC')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_NUM_REC', '', 2, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,1
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_NUM_REC', NAME = '', ORDERS = '2', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_NUM_REC'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DOC_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DOC_NAME', ' ', 3, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DOC_NAME', NAME = ' ', ORDERS = '3', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DOC_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DOC_NUM')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DOC_NUM', ' ', 4, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DOC_NUM', NAME = ' ', ORDERS = '4', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DOC_NUM'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DOC_DATE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DOC_DATE', ' ', 5, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DOC_DATE', NAME = ' ', ORDERS = '5', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DOC_DATE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DEP_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DEP_CODE', ' ', 6, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DEP_CODE', NAME = ' ', ORDERS = '6', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DEP_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DEP_NAME')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DEP_NAME', ' ', 7, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DEP_NAME', NAME = ' ', ORDERS = '7', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DEP_NAME'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DEP_INN')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DEP_INN', '', 8, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DEP_INN', NAME = '', ORDERS = '8', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DEP_INN'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DEP_KPP')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DEP_KPP', '', 9, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DEP_KPP', NAME = '', ORDERS = '9', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DEP_KPP'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DEP_OKATO')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DEP_OKATO', 'OKATO', 10, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DEP_OKATO', NAME = 'OKATO', ORDERS = '10', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DEP_OKATO'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_KBK_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_KBK_CODE', '', 11, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_KBK_CODE', NAME = '', ORDERS = '11', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_KBK_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_SGU_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_SGU_CODE', '', 12, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_SGU_CODE', NAME = '', ORDERS = '12', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_SGU_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_DCL_CODE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_DCL_CODE', ' ', 13, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_DCL_CODE', NAME = ' ', ORDERS = '13', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_DCL_CODE'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_SUMMA')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_SUMMA', '', 14, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_SUMMA', NAME = '', ORDERS = '14', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_SUMMA'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_TARGET')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_TARGET', ' ', 15, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_TARGET', NAME = ' ', ORDERS = '15', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_TARGET'
GO
IF NOT EXISTS(SELECT * FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC_TITLE')
	INSERT S_OBJECTS (CODE, NAME, ORDERS, LINK_SELF, LINK_CLASS, MANAGED, INHERITED)
	SELECT 'BB_UVED_U_DOC_TITLE', '', 16, (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'),0,0
ELSE
	UPDATE DBO.S_OBJECTS
	SET CODE = 'BB_UVED_U_DOC_TITLE', NAME = '', ORDERS = '16', LINK_SELF = (SELECT LINK FROM S_OBJECTS WHERE CODE='BB_UVED_U_DOC'), LINK_CLASS = (SELECT LINK FROM S_OBJECTS WHERE CODE='EDIT_FIELD_CLASS'), MANAGED = 0, INHERITED = 0
	WHERE CODE ='BB_UVED_U_DOC_TITLE'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC', 'SAVE_OBJECT_METHOD', 'x_save(''BB_SAVE_UVED_U_DOC'', m.cAlias, ''LINK_UP, SQLNULL(DOC_LINK), DEP_LINK, KBK_LINK, SGU_LINK, SQLNULL(DCL_LINK), SUMMA,NUM_REC,TARGET,TITLE'', ''BB_UVED_U_DOC'')'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC', 'SELECT_RECORDS_METHOD', 'SQL.EXEC(''SELECT 0 as CHECKED, 0 as UPD, 0 as DEL, * FROM dbo.BB_UVED_U_DOC WHERE LINK_UP = '' + STR(m.nLink), m.cAlias) > 0'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC', 'SERVER_TABLE_NAME', 'UVED_U_DOC'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_CHECKED', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_CHECKED', 'CONTROLSOURCE', 'm.cAlias+''.CHECKED'''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_NUM_REC', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_NUM_REC', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_NUM_REC', 'CONTROLSOURCE', 'm.cAlias + ".NUM_REC"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_NUM_REC', 'SHORT_CODE_OBJ', 'RECORD_NO'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_NUM_REC', 'CONTROLSOURCE_EDIT', 'm.cAlias + ".NUM_REC"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_NUM_REC', 'INPUT_MASK', '999999999'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_NAME', 'CONTROLSOURCE', 'm.cAlias+''.DOC_TYPE'''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_NUM', 'TITLE', ' '
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_NUM', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_NUM', 'CONTROLSOURCE', 'm.cAlias+''.DOC_NUM'''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_DATE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_DATE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DOC_DATE', 'CONTROLSOURCE', 'm.cAlias+".DOC_DATE"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_CODE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_CODE', 'EDIT_OBJECT_METHOD', 'XD_VIBOR_GROUPED_01("DICTIONARY_DEPARTMENT", oObj.Parent.Parent.RECORDSOURCE, "LINK,NAME,INN,KPP,CODE,OKATO", "DEP_LINK,DEP_NAME,DEP_INN,DEP_KPP,DEP_CODE,DEP_OKATO", "", "", "", .T., 1, oForm, oObj,"",.T.,"DEPARTMENT_GROUPS")'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_CODE', 'CONTROLSOURCE', 'm.cAlias+''.DEP_CODE'''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_NAME', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_NAME', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_NAME', 'CONTROLSOURCE', 'm.cAlias+".DEP_NAME"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_INN', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_INN', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_INN', 'CONTROLSOURCE', 'm.cAlias+".DEP_INN"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_KPP', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_KPP', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_KPP', 'CONTROLSOURCE', 'm.cAlias+".DEP_KPP"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_OKATO', 'TITLE', 'OKATO'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_OKATO', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DEP_OKATO', 'CONTROLSOURCE', 'm.cAlias+".DEP_OKATO"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_KBK_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_KBK_CODE', 'EDIT_OBJECT_METHOD', 'n_vibor_01 ("BI_DICTION_KBK", oObj.Parent.Parent.RECORDSOURCE, "LINK,CODE", "KBK_LINK, KBK_CODE", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_KBK_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_KBK_CODE', 'CONTROLSOURCE', 'm.cAlias+''.KBK_CODE'''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_KBK_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SGU_CODE', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SGU_CODE', 'EDIT_OBJECT_METHOD', 'n_vibor_01 ("DICTIONARY_ITEM", oObj.Parent.Parent.RECORDSOURCE, "LINK,CODE", "SGU_LINK, SGU_CODE", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SGU_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SGU_CODE', 'CONTROLSOURCE', 'm.cAlias+".SGU_CODE"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SGU_CODE', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DCL_CODE', 'TITLE', ' '
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DCL_CODE', 'EDIT_OBJECT_METHOD', 'n_vibor_01 ("BD_DOP_CLASSIF", oObj.Parent.Parent.RECORDSOURCE, "LINK,CODE", "DCL_LINK, DCL_CODE", "", "", "", .T., 1, oForm, oObj)'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DCL_CODE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_DCL_CODE', 'CONTROLSOURCE', 'm.cAlias+".DCL_Code"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'EDIT_OBJECT_METHOD', 'bb_calc_summ_doc(oForm.Alias,oObj.Parent.parent.RecordSource)'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'CONTROLSOURCE', 'm.cAlias+''.SUMMA'''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'SHORT_CODE_OBJ', 'SUMMA'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'CONTROLSOURCE_EDIT', 'm.cAlias+''.SUMMA'''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_SUMMA', 'INPUT_MASK', '99999999999.99'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TARGET', 'TITLE', ' '
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TARGET', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TARGET', 'CONTROLSOURCE', 'm.cAlias+".TARGET"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TARGET', 'EDITABLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TITLE', 'TITLE', ''
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TITLE', 'VISIBLE', '1'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TITLE', 'CONTROLSOURCE', 'm.cAlias+".TITLE"'
GO
EXEC X_SET_PROP 'BB_UVED_U_DOC_TITLE', 'EDITABLE', '1'
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].BB_UVED_U_DOC') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].BB_UVED_U_DOC
GO

/*
  (Keysystems), 2005
*/

CREATE             VIEW dbo.BB_UVED_U_DOC
AS
Select	T.LINK, 
		T.LINK_UP, 
		T.NUM_REC,
		DOC_LINK	= T.LINK_G,
		DOC_NUM		= G.NUMBER,
		DOC_DATE	= G.DATE,
		DOC_TYPE	= CONVERT(VARCHAR(50), case OV.OBJECT when 'DOCUMENTS_OPER' then dbo.JurnalProvGetDocKind (G.LINK, G.OBJECT) else OV.NAME end),
		DOC_CODE	= OV.OBJECT,
		DOC_NAME	= CONVERT(VARCHAR(50), case OV.OBJECT when 'DOCUMENTS_OPER' then dbo.JurnalProvGetDocKind (G.LINK, G.OBJECT) else OV.NAME end +'  '+ LTRIM(RTRIM(G.NUMBER))+'  ' + CONVERT(VARCHAR(10),G.DATE,104) + ' '),
		DEP_LINK	= D.LINK,
		DEP_CODE	= D.CODE,
		DEP_NAME	= D.NAME,
		DEP_INN		= rtrim(D.INN) + case when D.INN_DOP = '' then '' else '\' + D.INN_DOP end,
		DEP_KPP		= D.KPP,
		DEP_OKATO	= D.OKATO,
		KBK_LINK	= KBK.LINK,
		KBK_CODE	= KBK.CODE,
		KBK_TYPE	= KBK.TYPE,
		SGU_LINK	= SGU.LINK,
		SGU_CODE	= SGU.CODE,
		DCL_LINK	= DCL.LINK,
		DCL_CODE	= DCL.CODE,
		T.SUMMA,
		TARGET		= T.TARGET,
		TITLE		= T.TITLE
		
from dbo.UVED_U_DOC T
inner join dbo.DEPARTMENTS D on D.LINK = T.LINK_DEP
inner join dbo.KL_KBK KBK on KBK.LINK = T.LINK_KBK
inner join dbo.KOSGU  SGU on SGU.LINK = T.LINK_SGU
left join dbo.DOP_CLASSIF DCL on DCL.LINK = T.LINK_DCL
left join dbo.G_PROV G on T.LINK_G = G.LINK
left join dbo.S_OBJECTS SO on G.OBJECT = SO.LINK
left join dbo.OSNOV_VID OV on OV.OBJECT = SO.CODE



GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

grant all on dbo.BB_UVED_U_DOC to public
GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BB_UVED_GET_DOC]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[BB_UVED_GET_DOC]
GO


create procedure dbo.BB_UVED_GET_DOC @iLinkDoc int

as
declare @cDocCode varchar(100), 
		@cDocName varchar(254),
		@iObjLink int


select	@cDocCode = SO.CODE, 
		@cDocName = OV.NAME,
		@iObjLink = SO.LINK
from dbo.G_PROV G  
inner join dbo.S_OBJECTS SO on G.OBJECT = SO.LINK  and G.LINK = @iLinkDoc
inner join dbo.OSNOV_VID OV on OV.OBJECT = SO.CODE 
					
		  

if @cDocCode = 'DOCUMENTS_RECEPTION_CASH'
	Select	CHECKED = 0, UPD = 1, DEL = 0, LINK = 0, LINK_UP = 0, 
			DOC_NUM = G.NUMBER, DOC_DATE = G.DATE, DOC_TYPE = @cDocName, DOC_CODE = @cDocCode, 
			DOC_NAME = @cDocName +'  '+ LTRIM(RTRIM(G.NUMBER))+'  ' + CONVERT(VARCHAR(10),G.DATE,104),
			DEP_CODE = D.CODE, DEP_NAME	= D.FULL_NAME, DEP_INN = rtrim(D.INN) + case when D.INN_DOP = '' then '' else '\' + D.INN_DOP end, DEP_KPP	= D.KPP, DEP_OKATO = D.OKATO, 
			KBK_CODE = KBK.CODE, KBK_TYPE	= KBK.TYPE, SGU_CODE = SGU.CODE, DCL_CODE = DCL.CODE, SUMMA = T.SUMMA, 
			[TARGET] = coalesce(T.REASON,CONVERT(VARCHAR(210), (select GPV.VALUE from dbo.G_PROV_VALUE gpv where GPV.DOC_LINK = @iLinkDoc and GPV.OBJECT = @iObjLink)),''), 
			TITLE = '', 
			DOC_LINK = G.LINK, DEP_LINK = D.LINK, KBK_LINK = KBK.LINK, SGU_LINK = SGU.LINK, DCL_LINK = DCL.LINK 
	from dbo.G_PROV G  
	inner join dbo.RECEPTION_CASH_TABLE T on T.LINK_UP = G.LINK
	inner join dbo.DEPARTMENT_ACCOUNTS DA on DA.LINK = G.ACC
	inner join dbo.DEPARTMENTS D on D.LINK = G.DEP
	inner join dbo.KL_KBK KBK on KBK.LINK = T.KBK
	inner join dbo.KOSGU  SGU on SGU.LINK = T.EKR
	left join dbo.DOP_CLASSIF DCL on DCL.LINK = T.DOP_CLASSIF
	where G.LINK = @iLinkDoc
	
else 
	if @cDocCode = 'BB_ZAYAVKA_KR'
		Select	CHECKED = 0, UPD = 1, DEL = 0, LINK = 0, LINK_UP = 0, 
				DOC_NUM = G.NUMBER, DOC_DATE = G.DATE, DOC_TYPE = @cDocName, DOC_CODE = @cDocCode, 
				DOC_NAME = @cDocName +'  '+ LTRIM(RTRIM(G.NUMBER))+'  ' + CONVERT(VARCHAR(10),G.DATE,104),
				DEP_CODE = D.CODE, DEP_NAME	= D.FULL_NAME, DEP_INN = rtrim(D.INN) + case when D.INN_DOP = '' then '' else '\' + D.INN_DOP end, DEP_KPP	= D.KPP, DEP_OKATO = D.OKATO, 
				KBK_CODE = KBK.CODE, KBK_TYPE	= KBK.TYPE, SGU_CODE = SGU.CODE, DCL_CODE = DCL.CODE, SUMMA = T.SUMMA, 
				[TARGET] = coalesce(T.[TARGET],LEFT(Z.TARGETTEXT,210),''), 
				TITLE = '', 
				DOC_LINK = G.LINK, DEP_LINK = D.LINK, KBK_LINK = KBK.LINK, SGU_LINK = SGU.LINK, DCL_LINK = DCL.LINK 
		from dbo.G_PROV G  
		inner join dbo.FINANSE_PAYS Z on Z.LINK = G.LINK
		inner join dbo.ZAYAVKA_KR_TABLE T on T.LINK_UP = G.LINK
		inner join dbo.DEPARTMENT_ACCOUNTS DA on DA.LINK = Z.D_ACC
		inner join dbo.DEPARTMENTS D on D.LINK = DA.LINK_UP
		inner join dbo.KL_KBK KBK on KBK.LINK = T.LINK_KBK
		inner join dbo.KOSGU  SGU on SGU.LINK = T.LINK_SGU
		left join dbo.DOP_CLASSIF DCL on DCL.LINK = T.LINK_DCL
		where G.LINK = @iLinkDoc

	else
		if @cDocCode = 'DOCUMENTS_PAY'
			Select	CHECKED = 0, UPD = 1, DEL = 0, LINK = 0, LINK_UP = 0, 
					DOC_NUM = G.NUMBER, DOC_DATE = G.DATE, DOC_TYPE = @cDocName, DOC_CODE = @cDocCode, 
					DOC_NAME = @cDocName +'  '+ LTRIM(RTRIM(G.NUMBER))+'  ' + CONVERT(VARCHAR(10),G.DATE,104),
					DEP_CODE = D.CODE, DEP_NAME	= D.FULL_NAME, DEP_INN = rtrim(D.INN) + case when D.INN_DOP = '' then '' else '\' + D.INN_DOP end, DEP_KPP	= D.KPP, DEP_OKATO = D.OKATO, 
					KBK_CODE = KBK.CODE, KBK_TYPE	= KBK.TYPE, SGU_CODE = SGU.CODE, DCL_CODE = DCL.CODE, SUMMA = G2.SUMMA, 
					[TARGET] = isnull(LEFT(Z.TARGETTEXT,210),''), 
					TITLE = '', 
					DOC_LINK = G.LINK, DEP_LINK = D.LINK, KBK_LINK = KBK.LINK, SGU_LINK = SGU.LINK, DCL_LINK = DCL.LINK 
			from dbo.G_PROV G  
			inner join dbo.FINANSE_PAYS Z on Z.LINK = G.LINK
			inner join dbo.DEPARTMENT_ACCOUNTS DA on DA.LINK = Z.D_ACC
			inner join dbo.DEPARTMENTS D on D.LINK = DA.LINK_UP
			inner join dbo.G_PROV1 G1 on G1.LINK_UP = G.LINK 
			inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK 
			inner join dbo.G_PROV_AP GAP1 on GAP1.LINK_UP = G2.LINK and GAP1.DB_KR = 0 
			inner join dbo.G_PROV_AP GAP2 on GAP2.LINK_UP = G2.LINK and GAP2.DB_KR = 1 
			inner join dbo.KL_KBK KBK on KBK.LINK = isnull(GAP2.KBK,GAP1.KBK) 
			inner join dbo.KOSGU  SGU on SGU.LINK = isnull(GAP2.SGU,GAP1.SGU) 
			left join dbo.DOP_CLASSIF DCL on DCL.LINK = isnull(GAP2.AP2,GAP1.AP2) 
			where G.LINK = @iLinkDoc
			

		else
		Select	CHECKED = 0, UPD = 1, DEL = 0, LINK = 0, LINK_UP = 0, 
								LINK_G1 = G1.LINK, DOC_NUM = G.NUMBER, DOC_DATE = G.DATE,	DOC_TYPE = @cDocName, DOC_CODE = @cDocCode, 
								DOC_NAME = CONVERT(VARCHAR(50), case @cDocCode when 'DOCUMENTS_OPER' then dbo.JurnalProvGetDocKind (G.LINK, G.OBJECT) else @cDocName end +'  ' + LTRIM(RTRIM(G.NUMBER))+'  ' + CONVERT(VARCHAR(10),G.DATE,104)),
								DEP_CODE = D.CODE, DEP_NAME	= D.FULL_NAME, DEP_INN = rtrim(D.INN) + case when D.INN_DOP = '' then '' else '\' + D.INN_DOP end, DEP_KPP	= D.KPP, DEP_OKATO = D.OKATO, 
								KBK_CODE = KBK.CODE, KBK_TYPE	= KBK.TYPE, SGU_CODE = SGU.CODE, DCL_CODE = DCL.CODE, SUMMA = G2.SUMMA, 
								[TARGET] = '', TITLE = '', 
								DEP_LINK = D.LINK, KBK_LINK = KBK.LINK, SGU_LINK = SGU.LINK, DCL_LINK = DCL.LINK 
							from dbo.G_PROV G  
							inner join dbo.G_PROV1 G1 on G1.LINK_UP = G.LINK 
							inner join dbo.G_PROV2 G2 on G2.LINK_UP = G1.LINK 
							inner join dbo.G_PROV_AP GAP1 on GAP1.LINK_UP = G2.LINK and GAP1.DB_KR = 0 
							inner join dbo.G_PROV_AP GAP2 on GAP2.LINK_UP = G2.LINK and GAP2.DB_KR = 1 
							left join dbo.DEPARTMENT_ACCOUNTS DA on DA.LINK = isnull(GAP2.DEP_ACC,GAP1.DEP_ACC) 
							left join dbo.DEPARTMENTS D on D.LINK = coalesce(GAP2.DEP,GAP1.DEP,DA.LINK_UP) 
							inner join dbo.KL_KBK KBK on KBK.LINK = isnull(GAP2.KBK,GAP1.KBK) 
							inner join dbo.KOSGU  SGU on SGU.LINK = isnull(GAP2.SGU,GAP1.SGU) 
							left join dbo.DOP_CLASSIF DCL on DCL.LINK = isnull(GAP2.AP2,GAP1.AP2) 
							where G.LINK = @iLinkDoc
							
GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].BB_SAVE_UVED_U_DOC') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
	drop procedure [dbo].BB_SAVE_UVED_U_DOC
GO







CREATE PROCEDURE dbo.BB_SAVE_UVED_U_DOC
	@iLink		int	OUTPUT,
	@iLinkUp	int,
	@iLinkG		int,
	@iLinkDep	int,
	@iLinkKBK	int,
	@iLinkSGU	int,
	@iLinkDCL	int,
	@nSumma		numeric(18,2),
	@iNumRec	int,
	@cTarget	varchar(254),
	@cTitle		varchar(254)


AS
Declare
	@iERROR		int,
	@iRowCount	int,
	@iTrancount	int
	
	

SET @iTrancount = @@TRANCOUNT
SET IMPLICIT_TRANSACTIONS ON
IF @iLink is null OR @iLink = 0
BEGIN
	INSERT INTO dbo.UVED_U_DOC(LINK_UP, LINK_G, LINK_DEP, LINK_KBK, LINK_SGU, LINK_DCL, SUMMA, NUM_REC, TARGET, TITLE)
		VALUES (@iLinkUp, @iLinkG, @iLinkDep, @iLinkKBK, @iLinkSGU, @iLinkDCL, @nSumma, @iNumRec, @cTarget, @cTitle)
	SELECT @iERROR = @@ERROR, @iLink = @@IDENTITY
	IF @iERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
END
ELSE
BEGIN
	UPDATE dbo.UVED_U_DOC
		SET LINK_UP	= @iLinkUp,
			LINK_G	= @iLinkG,
			LINK_DEP	= @iLinkDep,
			LINK_KBK	= @iLinkKBK,
			LINK_SGU	= @iLinkSGU,
			LINK_DCL	= @iLinkDCL,
			SUMMA	= @nSumma,
			NUM_REC = @iNumRec,
			TARGET	= @cTarget,
		    TITLE	= @cTitle
	WHERE LINK = @iLink
	SELECT @iERROR = @@ERROR, @iRowCount = @@ROWCOUNT
	IF @iERROR <> 0
	BEGIN
		ROLLBACK
		RETURN 7
	END
	IF @iRowCount = 0
	BEGIN
		ROLLBACK
		RETURN 2
	END
END


IF @@TRANCOUNT > @iTrancount
	COMMIT TRAN


RETURN 0




GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[DOCUMENTS_RECEPTION_CASH]') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].[DOCUMENTS_RECEPTION_CASH]
GO

/*
  (Keysystems), 2005
 .. 
*/

CREATE                   VIEW dbo.DOCUMENTS_RECEPTION_CASH
AS
SELECT  G.LINK,
		  G.NUMBER,
		  SUMMA = ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA),
		  G.COMMENT,
		  G.DATE_PROV, 
		  G.DATE,
		  FLAG_JC	= CASE WHEN DATE_PROV IS NULL THEN 0 ELSE 1 END,

		  DEP_LINK  = G.DEP,
		  DEP_CODE  = D.CODE,
		  DEP_NAME  = D.NAME,
		  DEP_FNAME  = D.FULL_NAME,
		  DEP_B_CODE	= D.BUDG,
		  DEP_UBP	= D.CODE_UBP,
		
		  ACC_LINK  = G.ACC,
		  ACC_CODE  = DA.CODE,   
		  BANK_NAME = DA.ANAME,  
			
		  GRBS_NAME	= VED.NAME,
		  GRBS_CODE	= VED.CODE,
		  BUDG_NAME	= BUDG.NAME,
		  FO_NAME	= FO.FULL_NAME,
		  FO_CODE	= FO.CODE,
		  TOFK_NAME	= DA.KAZN_F_NAME,
		  TOFK_CODE	= DA.KAZN_CODE,
		
		  EMP_LINK	= GPEM.EMPL,
		  EMP_CODE	= EM.TAB, 
		  EMP_FM	= EM.FM, 
		  EMP_IM	= EM.IM, 
		  EMP_OT	= EM.OT, 
		  EMP_FIO	= EM.FIO, 
		  EMP_NAME	= EM.NAME_EMPL, 
		  EMP_POST	= EM.POST_NAME, 
		  ED_NUM	= PERS.DOC_NUM, 
		  ED_WHOM	= PERS.DOC_WHOM, 
		  ED_DOC	= isnull(FD.NAME,''),
		  ED_DATE	= PERS.DOC_DATE,
		  
		  DOC_LINK= (SELECT doc_ref_foreign FROM dbo.G_PROV as GR WITH (NOLOCK) INNER JOIN dbo.G_PROV_REF GPR WITH (NOLOCK) ON GPR.DOC_REF_PRIMARY = G.LINK AND GPR.OBJECT=(select link from s_objects where code='RECEPTION_CASH_PKO')  AND GR.LINK = GPR.DOC_REF_FOREIGN),

		  CHEK_SER = CONVERT(VARCHAR (2), (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_CHEK_SERIA'))),
		  CHEK_NO = CONVERT(VARCHAR (15), (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_CHEK_NO'))),
		  CHEK_DATE = CONVERT(DATETIME, (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_CHEK_DATE')), 104),
		  CHEK_SROK = CONVERT(DATETIME, (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_CHEK_SROK')), 104),

		  SROK = CONVERT(DATETIME, (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_SROK')), 104),
		  PLAT_ORDER = CONVERT(VARCHAR(1), (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_ORDER'))),
		  REASON = CONVERT(VARCHAR(210), (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_REASON'))),
		  KIND = CONVERT(VARCHAR(50), (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_KIND'))),
		  UKAZ =  CONVERT(VARCHAR(254),  (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_UKAZ'))),
		  KP =  CONVERT(VARCHAR(2),  (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_KP'))),
		  NUM_BO =  CONVERT(VARCHAR(16), (SELECT GPV.VALUE FROM dbo.G_PROV_VALUE GPV WHERE GPV.DOC_LINK=G.LINK AND GPV.OBJECT=(SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'RECEPTION_CASH_NUM_BO'))),

		  DATE_NA = CONVERT(DATETIME, (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=g.link and gpv.object=(select link from s_objects where code='RECEPTION_CASH_DATE_NA')), 104)
FROM dbo.G_PROV G WITH (NOLOCK)
inner join dbo.DEPARTMENTS D WITH (NOLOCK) on G.DEP = D.LINK
inner join dbo.DICTIONARY_ACCOUNTS DA WITH (NOLOCK) on G.ACC = DA.LINK
left join dbo.G_PROV_EMPL GPEM WITH (NOLOCK) on GPEM.DOC_LINK = G.LINK AND GPEM.OBJECT = (select link from s_objects where code='RECEPTION_CASH_EMP_LINK')
left join KU_EMPL_PLACING EM WITH (NOLOCK) on GPEM.EMPL = EM.LINK
left join PERSON PERS ON (PERS.LINK = EM.PERS_LINK)
left join dbo.FACE_DOCUMENT FD on FD.LINK = PERS.DOC_LINK 
left join dbo.DEPARTMENTS FO WITH (NOLOCK) on D.FO_LINK = FO.LINK
left join dbo.KL_ADMIN_BS VED WITH (NOLOCK) on VED.LINK = D.VED_LINK
left join dbo.KL_BUDG_TYPE BUDG WITH (NOLOCK) on VED.Link_Budg = BUDG.LINK
left join dbo.DEPARTMENTS DD WITH (NOLOCK) on DA.REF_LINK_D = DD.link

WHERE G.OBJECT=(SELECT link from S_OBJECTS WHERE CODE='DOCUMENTS_RECEPTION_CASH')



GO
grant all on dbo.DOCUMENTS_RECEPTION_CASH to public

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].BB_ZAYAVKA_KR') and OBJECTPROPERTY(id, N'IsView') = 1)
drop view [dbo].BB_ZAYAVKA_KR
GO

CREATE VIEW dbo.BB_ZAYAVKA_KR
AS

SELECT	G.LINK,
		G.NUMBER,
		SUMMA		= G.SUMMA,
		SUMMA_P		= ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA),
		SUMMA_NDS	= P.SUMMA_NDS,--ISNULL(dbo.CalcDocSumma(G.LINK), G.SUMMA) * isnull(P.NDS,0) / (100.0 + isnull(P.NDS,0)),
		G.COMMENT,
		G.DATE, 
		G.DATE_PROV,
		FLAG_JC		= CASE WHEN G.DATE_PROV IS NULL THEN 0 ELSE 1 END,
		DEP_LINK	= G.DEP,
		DEP_CODE	= SD.CODE,
		DEP_B_CODE	= SD.BUDG,
		DEP_UBP		= SD.CODE_UBP,
		DEP_NAME	= SD.NAME,
		DEP_FNAME	= left(rtrim(SD.prefix) + rtrim(SD.FULL_NAME) + case when charindex('(',SD.prefix,0) > 0 then ')' else '' end,254),
		GRBS_NAME	= VED.NAME,
		GRBS_CODE	= VED.CODE,
		BUDG_NAME	= BUDG.NAME,
		FO_NAME		= FO.FULL_NAME,
		FO_CODE		= FO.CODE,
		ACC_LINK	= G.ACC,
		ACC_CODE	= SA.CODE,		
		ACC_NAME	= SA.ANAME,	
		TOFK_NAME	= SA.KAZN_F_NAME,
		TOFK_CODE	= SA.KAZN_CODE,
		

		DBANK_LINK		= DA.ref_link_b,
		KOR_CODE		= DD.CODE,
		KOR_ACC_LINK	= P.D_Acc,
		KOR_ACC_CODE	= DA.code,
		KOR_LACC		= case DA.type when 1 then '' else DA.code end,
		KOR_RACC		= case DA.type when 1 then DA.code else TA.code end,
		KOR_BANK		= rtrim(isnull(DA.BANK_FNAME,TA.BANK_FNAME)) + case ZO.BANK_CITY when 1 then ' ' + isnull(DA.BANK_CITY,TA.BANK_CITY) else '' end,
		KOR_BIK			= isnull(DA.BANK_CODE,TA.BANK_CODE),
		KOR_KS			= DA.BANK_KS,
		KOR_ANAME		= DA.aname,
		KOR_FNAME		= left(rtrim(DD.prefix) + rtrim(DD.FULL_NAME) + case when charindex('(',DD.prefix,0) > 0 then ')' else '' end,254),
		KOR_INN			= DD.INN,
		KOR_KPP			= DD.KPP,
		KOR_LINK		= DD.Link,
		KOR_NAME		= DD.NAME,
		KBK_CODE		= KBK.CODE,  		
		P.AVANSE,	
		P.BK_IN_TGT,
		P.KIND,
		[ORDER]			= P.Order_Pay,
		P.PRINT_KPP,
		P.SROK,
		P.NDS,
		P.NDS_LINK,
		NDS_NAME	=	CONVERT(VARCHAR(50), NDS.NAME),
		NDS_SHABLON	=	CONVERT(VARCHAR(250), NDS.SHABLON),
		P.TARGETTEXT,
		OSN_NUM		= CONVERT (VARCHAR (25), GD.Number),
		OSN_DATE	= GD.DATE,
		OSN_NAME	= CONVERT (VARCHAR (254), GD.INFO),
		OSN_LINK	= GD.DOC_LINK,
		
		BO_NUM		= P.BO_NUM,

		TITLE		= ' ' + RTRIM(CONVERT(VARCHAR(25),G.NUMBER)) + '  ' + CONVERT(VARCHAR(10),G.[DATE], 104),
		S_TARGET	= CONVERT(VARCHAR(100),LEFT(TARGETTEXT,100)),
		DOH_CODE_L	= case isnull(ZO.KBK_DEL,0) when 0 then rtrim(K.Code) + '.' + S.Code else replace(rtrim(K.Code) + '.' + S.Code,'.','') end,
		[DOH_CODE] = K.Code,
		[DOH_LINK] = P.Link_Dohod,
		[DOH_NAME] = K.name,
		[SGU_CODE] = S.Code,
		[SGU_LINK] = P.Link_SGU,
		[SGU_NAME] = S.Name,
		P.OKATO,
		P.P_REASON,
		P.P_TYPE,
		[PERIOD] = P.Nal_PERIOD,
		P.STATUS,
		P.TREBDATE,
		P.TREBNUM,
		P.ZERODATE,
		P.SHORT
		
FROM  dbo.G_PROV G 
left join dbo.FINANSE_PAYS P WITH (NOLOCK) on P.link = G.link
left join dbo.DICTIONARY_ACCOUNTS SA WITH (NOLOCK) on G.Acc = SA.link
left join dbo.DICTIONARY_ACCOUNTS DA WITH (NOLOCK) on P.D_Acc = DA.link
left join dbo.DICTIONARY_K_ACCOUNTS TA WITH (NOLOCK) on DA.K_Acc_LINK = TA.link
left join dbo.DEPARTMENTS SD WITH (NOLOCK) on G.DEP = SD.link
left join dbo.DEPARTMENTS FO WITH (NOLOCK) on SD.FO_LINK = FO.LINK
left join dbo.KL_ADMIN_BS VED WITH (NOLOCK) on VED.LINK = SD.VED_LINK
left join dbo.KL_BUDG_TYPE BUDG WITH (NOLOCK) on VED.Link_Budg = BUDG.LINK
left join dbo.DEPARTMENTS DD WITH (NOLOCK) on DA.REF_LINK_D = DD.link
left join dbo.BD_OSNOV GD on GD.link = P.link_dogovor 
left join dbo.G_PROV GD1 on P.link_invoice = GD1.link
left join dbo.kl_kbk K on P.link_dohod = K.link 
left join dbo.kosgu S on P.link_sgu = S.link
left join dbo.DICTIONARY_PAY_NDS NDS on P.NDS_Link = NDS.LINK
left join (select max(LINK_KBK) as LINK_KBK, LINK_UP from dbo.ZAYAVKA_KR_TABLE group by LINK_UP) ZT on ZT.LINK_UP = G.LINK
left join dbo.KL_KBK KBK on KBK.LINK = ZT.LINK_KBK 
left join dbo.BB_ZAYAVKA_KR_OPTIONS ZO on 1=1

WHERE G.OBJECT = (select link from s_objects where code = 'BB_ZAYAVKA_KR')




GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BB_EXPORT_ZKR]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[BB_EXPORT_ZKR]
GO


/*
  (Keysystems), 2005
*/

CREATE           
PROCEDURE dbo.BB_EXPORT_ZKR
	@cBuffId	varchar(30) = '',
	@cFormat	varchar(30) = ''

AS
DECLARE @iDepLink	int, 
	@cCodeOpt 	int,
	@iNoteDCL	tinyint,
	@cPrefDCL	varchar(10), 
	@iLongFio tinyint, 
	@iPostRuk tinyint, 
	@iPostGl tinyint


set @iPostRuk = dbo.sa_get_option_by_code('BB_ZAYAVKA_KR_OPTIONS_POST_RUK')
set @iPostGl = dbo.sa_get_option_by_code('BB_ZAYAVKA_KR_OPTIONS_POST_GL')
set @iLongFio = dbo.sa_get_option_by_code('BB_ZAYAVKA_KR_OPTIONS_FIO')

set @iDepLink = isnull(dbo.BK_GetDepZB(),dbo.GetOwnDepLink())
select @cCodeOpt = KODBP,
	@iNoteDCL = isnull(T_DCL,0),
	@cPrefDCL = isnull(rtrim(PREF_DCL) + ' ','')
from dbo.BB_ZAYAVKA_KR_OPTIONS

--  2 (FROM)
SELECT 	BUDG_LEVEL  = cast(replace(B.CODE_EL,'0','') as char(1)),
		KOD_UBP 	= BUDG,
		NAME_UBP	= left(rtrim(D.prefix) + rtrim(D.FULL_NAME) + case when charindex('(',D.prefix,0) > 0 then ')' else '' end,254),
		0 as link,
		0 as link_up
from dbo.DEPARTMENTS D
left join dbo.KL_ADMIN_BS V WITH (NOLOCK) on V.LINK = D.VED_LINK
left join dbo.KL_BUDG_TYPE B WITH (NOLOCK) on V.Link_Budg = B.LINK
where D.LINK = @iDepLink


--  3 (TO)
SELECT 	KOD_TOFK  = TOFK.CODE,
		NAME_TOFK = TOFK.FULL_NAME,
		0 as link,
		0 as link_up
from dbo.DEPARTMENTS D
inner join dbo.TREASURY TOFK on D.TOFK_LINK = TOFK.LINK
where D.LINK = @iDepLink



--  4 (ZR)


	SELECT  LINK 		 = ZKR.LINK,
			LINK_UP		 = ZKR.LINK,
			GUID_FK		 = '',
			[TYPE]		 = cast(ZKR.SHORT + 1 as char(1)),
			NOM_ZR		 = ZKR.NUMBER,
			DATE_ZR		 = ZKR.DATE,
			KOD_UBP_PAY	 = case @cCodeOpt when 1 then ZKR.DEP_UBP else '' end,
			NAME_UBP_PAY = ZKR.DEP_FNAME, 
			LS_UBP_PAY	 = ZKR.ACC_CODE,
			INN_UBP		 = '',
			KPP_UBP		 = '',
			GLAVA_GRS	 = ZKR.GRBS_CODE,
			NAME_UBP_GRS = case ZKR.SHORT when 0 then ZKR.GRBS_NAME else '' end,
			NAME_BUD	 = ZKR.BUDG_NAME,
			NAME_FO		 = case ZKR.SHORT when 0 then ZKR.FO_NAME else '' end,
			KOD_TOFK	 = ZKR.TOFK_CODE,
			NAME_TOFK	 = ZKR.TOFK_NAME,
			DATE_ISP	 = ZKR.SROK,
			NOM_BO		 = ZKR.BO_NUM,
			KOD_ISP		 = '',
			PR_ISP		 = '',
			SUM_V		 = ZKR.SUMMA,
			KOD_V		 = '643',
			SUM_DOC		 = 0,
			TYPE_AP		 = cast(ZKR.AVANSE as char(1)),
			SUM_V_NDS	 = case ZKR.SHORT when 0 then ZKR.SUMMA_NDS else 0 end,
			ORDER_PL	 = ZKR.[ORDER],
			VID_PL		 = CASE	ZKR.KIND WHEN ''     THEN '1'
										 WHEN '' THEN '2'
										 WHEN '' THEN '3'
										 WHEN '' 	   THEN '4'
										 ELSE '0' END,
			PURPOSE		 = ZKR.TARGETTEXT,
			--VID_OSN		 = ZKR.OSN_VID,
			--NOM_OSN		 = ZKR.OSN_NUM,
			--DATE_OSN	 = ZKR.OSN_DATE,
			--OSN			 = ZKR.OSN_COM,
			NAME_RCP	 = ZKR.KOR_FNAME,
			INN_RCP		 = ZKR.KOR_INN,
			KPP_RCP		 = case when len(rtrim(ZKR.KOR_INN)) > 10 then '0' else ZKR.KOR_KPP end,
			LS_UBP_RCP	 = case ZKR.SHORT when 0 then ZKR.KOR_LACC else '' end,
			BS_RCP		 = ZKR.KOR_RACC,
			NAME_BIC_RCP = ZKR.KOR_BANK,
			BIC_RCP		 = ZKR.KOR_BIK,
			KS_BIC_RCP	 = ZKR.KOR_KS,
			PAYSTATUS	 = ZKR.STATUS,
			KDOH		 = replace(ZKR.DOH_CODE_L,'.',''),
			OKATO		 = ZKR.OKATO,
			OSN_PL		 = ZKR.P_REASON,
			NAL_PER		 = ZKR.[PERIOD],
			NOM_DOK		 = ZKR.TREBNUM,
			DATE_DOK	 = case ZKR.ZERODATE when 1 then /*'00.00.0000'*/ '0' else CONVERT(CHAR(10),ZKR.TREBDATE,104) end,
			TYPE_PL		 = ZKR.P_TYPE,
			DOL_RUK_UBP	 = case when ZKR.SHORT = 0 and @iPostRuk = 1 then B.POST_NAME else '' end,
			NAME_RUK_UBP = case @iLongFio when 1 then rtrim(B.FM) + ' ' + rtrim(B.IM) + ' ' + rtrim(B.OT) else B.SHORT_NAME end,
			DOL_BUH_UBP	 = case when ZKR.SHORT = 0 and @iPostGl = 1 then GB.POST_NAME else '' end,
			NAME_BUH_UBP = case @iLongFio when 1 then rtrim(GB.FM) + ' ' + rtrim(GB.IM) + ' ' + rtrim(GB.OT) else GB.SHORT_NAME end,
			DATE_POD_UBP = ZKR.DATE,
			NOM_ZR_FK	 = '',
			DATE_FK		 = '',
			DOL_ISP_FK	 = '',
			NAME_ISP_FK	 = '',
			TEL_ISP_FK	 = ''
	FROM dbo.BB_ZAYAVKA_KR ZKR
	left join dbo.GetOtvFaceData(@iDepLink, '') B on ZKR.DEP_LINK = B.LINK_DEP
	left join dbo.GetOtvFaceData(@iDepLink, ' ') GB on ZKR.DEP_LINK = GB.LINK_DEP
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId))


if @cFormat > 'TXZR100700'
/*	SELECT  LINK 		 = case when ZKR.OSNOV_LINK is null then ZKR.LINK else ZKR.DOG_LINK end,
			LINK_UP		 = ZKR.LINK,
			VID_OSN		 = ZKR.DOG_VID,
			NOM_OSN		 = ZKR.DOG_NUM,
			DATE_OSN	 = ZKR.DOG_DATE,
			OSN			 = case ZKR.SHORT when 0 then ZKR.DOG_COM else '' end
	FROM dbo.BB_ZAYAVKA_KR ZKR
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId)) and ZKR.DOG_NUM is not null
	union all
	SELECT  LINK 		 = ZKR.LINK,
			LINK_UP		 = ZKR.LINK,
			VID_OSN		 = ZKR.OSN_VID,
			NOM_OSN		 = ZKR.OSN_NUM,
			DATE_OSN	 = ZKR.OSN_DATE,
			OSN			 = case ZKR.SHORT when 0 then ZKR.OSN_COM else '' end
	FROM dbo.BB_ZAYAVKA_KR ZKR
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId)) and ZKR.OSN_NUM is not null 
				
*/
	SELECT  ZO.LINK, 
			ZO.LINK_UP,
			VID_OSN		 = ZO.[TYPE],
			NOM_OSN		 = ZO.NUMBER,
			DATE_OSN	 = ZO.[DATE],
			OSN			 = case ZKR.SHORT when 0 then ZO.COMMENT else '' end
	FROM dbo.BB_ZAYAVKA_KR_OSNOV ZO
	inner join dbo.BB_ZAYAVKA_KR ZKR on ZKR.LINK = ZO.LINK_UP
	where ZKR.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId))
	order by ZO.LINK


--  4 (ZRST)
	select  ZT.LINK,
			LINK_UP = coalesce((select top 1 LINK from ZAYAVKA_KR_OSNOV where LINK_UP = ZT.LINK_UP order by LINK desc),ZT.LINK_UP),
			KOD_IST_KBK	  = cast(ZT.VYD_SR as char(1)),
			TYPE_KBK_PAY  = case ZT.KBK_TYPE when 1 then '10'
											 when 2 then '20'
											 when 4 then '31'
											 when 8 then '32'
											 else '' end,
			KBK_PAY		  = left(replace(ZT.BK_CODE,'.',''),20),
			TYPE_KBK_RCP  = case ZKR.SHORT when 0 then case ZT.KBK_TYPE_d when 1 then '10'
																		  when 2 then '20'
																		  when 4 then '31'
																		  when 8 then '32'
																		  else '' end else '' end,
			KBK_RCP		  = case ZKR.SHORT when 0 then left(replace(ZT.BKD_CODE,'.',''),20) else '' end,
			ADD_KLASS_PAY = ZT.DCL_CODE,
			ADD_KLASS_RCP = ZT.DCL_CODE_D,
			SUM_V_KBK	  = ZT.SUMMA,
			SUM_R_KBK	  = 0,
			PURPOSE_KBK	  = case ZKR.SHORT when 0 then ZT.TARGET else '' end,
			NOTE_KBK	  = case ZKR.SHORT when 0 then ZT.TITLE + case @iNoteDCL when 1 then @cPrefDCL + ZT.DCL_CODE else '' end else '' end 
	from dbo.BB_ZAYAVKA_KR_TABLE ZT
	inner join dbo.FINANSE_PAYS ZKR on ZKR.LINK = ZT.LINK_UP
	where ZT.LINK_UP in (select LINK from dbo.BufferGetTableByID(@cBuffId))


GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

grant all on dbo.BB_EXPORT_ZKR to public
GO
SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[XD_BO_FINANS_CONTRACT]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[XD_BO_FINANS_CONTRACT]
GO




CREATE     PROCEDURE dbo.XD_BO_FINANS_CONTRACT
	@varKSparLINK	 int
AS
/*     */
DECLARE	@LinkObjCode VARCHAR(30),
	@LinkObjName VARCHAR(254)

SELECT @LinkObjCode = CODE, 
	   @LinkObjName = NAME
FROM S_OBJECTS WHERE LINK = (SELECT OBJECT FROM G_PROV WHERE LINK = @varKSparLINK)

/*       */
DECLARE @LinkOsnov int
SELECT @LinkOsnov = LINK FROM dbo.BD_OSNOV WHERE DOC_LINK = @varKSparLINK
IF @@ROWCOUNT = 0
BEGIN	
  IF NOT EXISTS(SELECT * FROM dbo.OSNOV_VID WHERE OBJECT = @LinkObjCode)
	INSERT INTO dbo.OSNOV_VID(NAME,TYPE,OBJECT,[SYSTEM]) 	
	VALUES(@LinkObjName,1,@LinkObjCode,1)
	
  INSERT INTO dbo.OSNOV(TYPE_LINK,LINK_G_PROV) 
  SELECT TOP 1 LINK AS TYPE_LINK, @varKSparLINK AS DOC_LINK FROM dbo.OSNOV_VID WHERE OBJECT = @LinkObjCode
  SET @LinkOsnov = @@IDENTITY
END

IF EXISTS(SELECT * FROM JURN_BO WHERE LINK_DOC = @LinkOsnov)
BEGIN
	/*     */
	DELETE FROM G_PROV
	WHERE LINK IN (SELECT GP1.LINK_UP FROM G_PROV1 GP1
	 WHERE GP1.LINK IN (SELECT GP2.LINK_UP FROM G_PROV2 GP2 
	   WHERE GP2.LINK IN (SELECT PROV_LINK FROM BD_JURN_BO WHERE AP1 = @LinkOsnov)))

	/*         */
	DELETE FROM JURN_BO WHERE LINK_DOC = @LinkOsnov
END

/*   */
INSERT INTO dbo.JURN_BO(LINK_DOC,DATE_DOC,LINK_KBK,LINK_SGU,SUMMA,LINK_ACCOUNT,IST_FIN,DATE_PR,LINK_DOP,COMMENT)
-- 
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0101',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0101',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P1 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P1 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0201',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0201',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P2 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P2 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0301',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0301',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P3 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P3 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0401',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0401',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P4 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P4 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0501',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0501',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P5 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P5 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0601',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0601',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P6 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P6 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0701',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0701',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P7 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P7 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0801',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0801',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P8 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P8 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0901',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0901',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P9 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P9 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1001',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1001',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P10 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P10 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1101',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1101',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P11 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P11 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1201',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1201',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P12 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P12 <> 0
UNION ALL
--   
-- 
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0101',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0101',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P1 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P1 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0201',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0201',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P2 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P2 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0301',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0301',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P3 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P3 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0401',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0401',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P4 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P4 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0501',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0501',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P5 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P5 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0601',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0601',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P6 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P6 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0701',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0701',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P7 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P7 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0801',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0801',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P8 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P8 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0901',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'0901',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P9 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P9 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1001',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1001',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P10 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P10 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1101',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1101',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P11 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P11 <> 0
-- 
UNION ALL
SELECT @LinkOsnov AS LINK_DOC, 
		case when CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1201',112) < FC.DATE_PROV then FC.DATE_PROV else CONVERT(DATETIME,ltrim(str(year(DATE_PROV)))+'1201',112) end AS DATE_DOC,
		VKR AS LINK_KBK,EKR AS LINK_SGU,FCT.P12 AS SUMMA,PER_ACC_LINK AS LINK_ACCOUNT,FC.FIN_SOURCE AS IST_FIN,FC.DATE_ACCEPT, FCT.D_CL_LINK,
	 '   ' + LTRIM(RTRIM(ISNULL(RECORD_NO,'  ')))
      +  ' (. - '+ LTRIM(RTRIM(ISNULL(NUMBER_BO,'  '))) +')' 
FROM dbo.FINANS_CONTRACT_CHANGE FC,dbo.FINANS_CONTRACT_TABLE FCT
WHERE FC.LINK = @varKSparLINK AND FC.LINK = FCT.LINK_UP AND FCT.P12 <> 0

/*       */
DECLARE @Curs CURSOR,
		@curLinkBO int,
		@curProv int,
		@cErrMess varchar(100) 

SET @Curs = CURSOR FORWARD_ONLY FOR
SELECT LINK FROM dbo.JURN_BO WHERE LINK_DOC = @LinkOsnov
OPEN @Curs
FETCH NEXT FROM @Curs INTO @curLinkBO
WHILE @@FETCH_STATUS = 0
BEGIN
	SET @curProv = NULL
	set @cErrMess = ''
    EXEC BD_JURN_BO_FORM_PROV @curProv OUTPUT,@curLinkBO, @cErrMess OUTPUT
	FETCH NEXT FROM @Curs INTO @curLinkBO
END 
CLOSE @Curs
DEALLOCATE @Curs





GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BB_EXPORT_ZS]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[BB_EXPORT_ZS]
GO


/*
  (Keysystems), 2005
*/

CREATE           
PROCEDURE BB_EXPORT_ZS
	@cBuffId	varchar(30) = '',
	@cObjCode	varchar(30) = ''

AS
  DECLARE @iDepLink	int, @cCodeOpt int, @cExp2 int, @iLongFio tinyint, @iPostRuk tinyint, @iPostGl tinyint

set @iDepLink = isnull(dbo.BK_GetDepZB(),dbo.GetOwnDepLink())
set @cCodeOpt = dbo.sa_get_option_by_code('RECEPTION_CASH_OPTIONS_KODBP')
set @cExp2 = dbo.sa_get_option_by_code('RECEPTION_CASH_OPTIONS_EXP2')
set @iLongFio = dbo.sa_get_option_by_code('RECEPTION_CASH_FIO')
set @iPostRuk = dbo.sa_get_option_by_code('RECEPTION_CASH_POST_RUK')
set @iPostGl = dbo.sa_get_option_by_code('RECEPTION_CASH_POST_GL')



--  2 (FROM)
SELECT 	BUDG_LEVEL  = cast(replace(B.CODE_EL,'0','') as char(1)),
		KOD_UBP 	= BUDG,
		NAME_UBP	= D.FULL_NAME
from dbo.DEPARTMENTS D
left join dbo.KL_ADMIN_BS V WITH (NOLOCK) on V.LINK = D.VED_LINK
left join dbo.KL_BUDG_TYPE B WITH (NOLOCK) on V.Link_Budg = B.LINK
where D.LINK = @iDepLink


--  3 (TO)
SELECT 	KOD_TOFK  = TOFK.CODE,
		NAME_TOFK = TOFK.FULL_NAME
from dbo.DEPARTMENTS D
inner join dbo.TREASURY TOFK on D.TOFK_LINK = TOFK.LINK
where D.LINK = @iDepLink



--  4 (ZS)


	SELECT  LINK 		 = ZS.LINK,
			LINK_UP		 = ZS.LINK,
			GUID_FK		 = '',
			NOM_ZVK		 = ZS.NUMBER,
			DATE_ZVK		 = ZS.DATE,
			NAME_BUD	 = ZS.BUDG_NAME,
			NAME_UBP_FO	 = ZS.FO_NAME,
			NAME_GRBS	 = ZS.GRBS_NAME,
			GLAVA_GRBS	 = ZS.GRBS_CODE,
			NAME_UBP_PAY 	 = ZS.DEP_FNAME, 
			KOD_UBP_PAY	 = case @cCodeOpt when 1 then ZS.DEP_UBP else '' end,
			LS_PAY		 = ZS.ACC_CODE,
			NAME_TOFK	 = ZS.TOFK_NAME,
			KOD_TOFK	 = ZS.TOFK_CODE,
			DATE_LIM	 = ZS.SROK,
			NOM_BO		 = ISNULL (ZS.NUM_BO, ''),
			DOL_RUK		 = case @iPostRuk when 1 then B.POST_NAME else '' end,
			NAME_RUK	 = B.SHORT_NAME,
			DOL_BUH		 = case @iPostGl when 1 then GB.POST_NAME else '' end,
			NAME_BUH 	 = GB.SHORT_NAME,
			DATE_POD	 = ZS.DATE_PROV,
			DOL_ISP_DOV	 = ZS.EMP_POST,
			NAME_ISP_DOV = case @iLongFio when 1 then ZS.EMP_FIO else rtrim(ZS.EMP_NAME) end,
			NAME_DOV	 = ZS.ED_DOC,
			NOM_DOC		 = ZS.ED_NUM,
			ORG_DOC		 = ZS.ED_WHOM,
			DATE_DOC	 = ZS.ED_DATE,
			SUM_ITOG	 = ZS.SUMMA,
			NOM_ZS_FK	 = '',
			DATE_FK		 = '',
			DOL_ISP_FK	 = '',
			NAME_ISP_FK	 = '',
			TEL_ISP_FK	 = ''
	FROM dbo.DOCUMENTS_RECEPTION_CASH ZS
	left join dbo.GetOtvFaceData(@iDepLink, '') B on ZS.DEP_LINK = B.LINK_DEP
	left join dbo.GetOtvFaceData(@iDepLink, ' ') GB on ZS.DEP_LINK = GB.LINK_DEP
	where ZS.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId))

	--  5 (ZSCH1)
	declare @tBlok5 table (	LINK		int, 
							LINK_UP		int, 
							SUMR_ZVK	numeric(18,2), 
							CHECK_NOM	varchar(15), 
							CHECK_SER	varchar(30), 
							DATE_CHECK	datetime, 
							DATE_CHECK_LIM datetime, 
							CHECK_KAS	varchar(2), 
							ORDERS		int identity)
	insert into @tBlok5(LINK, LINK_UP, SUMR_ZVK, CHECK_NOM, CHECK_SER, DATE_CHECK, DATE_CHECK_LIM, CHECK_KAS)
	SELECT  LINK 		 = ZS.LINK,
			LINK_UP		 = ZS.LINK,
			SUMR_ZVK	 = ZST.SUMMA,
			CHECK_NOM	 = ZS.CHEK_NO,
			CHECK_SER	 = ZS.CHEK_SER,
			DATE_CHECK	 = ZS.CHEK_DATE,
			DATE_CHECK_LIM = ZS.CHEK_SROK,
			CHECK_KAS	 = case ZST.KP when '' then ZS.KP else ZST.KP end
	FROM dbo.DOCUMENTS_RECEPTION_CASH ZS
	inner join (select LINK_UP, KP,sum(SUMMA) as SUMMA from dbo.RECEPTION_CASH_table_view group by LINK_UP, KP) ZST on ZST.LINK_UP = ZS.LINK
	where ZS.LINK in (select LINK from dbo.BufferGetTableByID(@cBuffId))

	if @cExp2 = 1
	begin
		update B5
		set LINK = - link
		from @tBlok5 B5
		where ORDERS not in (select max(orders) from @tBlok5 where LINK_UP = B5.LINK_UP group by LINK_UP)

		select * from @tBlok5 order by LINK_UP, orders 

	--  6 (ZSCH2)
		select  LINK 		 = ZT.LINK,
				LINK_UP		 = ZT.LINK_UP,
				KOD_IST		 = cast(ZT.FS_CODE as char(1)),
				TYPE_KBK	 = case ZT.KBK_TYPE when 1 then '10'
												 when 2 then '20'
												 when 4 then '31'
												 when 8 then '32'
												 else '' end,
				KBK			 = replace(rtrim(ZT.KBK_CODE) + ZT.EKR_CODE,'.',''),
				ADD_KLASS	 = ZT.D_CL_CODE,
				SUMR_KBK	 = ZT.SUMMA,
				PURPOSE		 = case ZT.REASON when '' then CONVERT(VARCHAR(210), (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=ZT.LINK_UP and gpv.object=(select link from s_objects where code='RECEPTION_CASH_REASON'))) else ZT.REASON end,
				NOTE		 = ZT.TITLE

		from dbo.RECEPTION_CASH_table_view ZT 
		where ZT.LINK_UP in (select LINK from dbo.BufferGetTableByID(@cBuffId))
	end
	else
	begin
		select orders as LINK, LINK_UP, SUMR_ZVK, CHECK_NOM, CHECK_SER, DATE_CHECK, DATE_CHECK_LIM, CHECK_KAS 
		from @tBlok5 
		order by LINK_UP, orders 
		


	--  6 (ZSCH2)
		select  LINK 		 = ZT.LINK,
				LINK_UP		 = CH.ORDERS,
				KOD_IST		 = cast(ZT.FS_CODE as char(1)),
				TYPE_KBK	 = case ZT.KBK_TYPE when 1 then '10'
												 when 2 then '20'
												 when 4 then '31'
												 when 8 then '32'
												 else '' end,
				KBK			 = replace(rtrim(ZT.KBK_CODE) + ZT.EKR_CODE,'.',''),
				ADD_KLASS	 = ZT.D_CL_CODE,
				SUMR_KBK	 = ZT.SUMMA,
				PURPOSE		 = case ZT.REASON when '' then CONVERT(VARCHAR(210), (select gpv.value from G_PROV_VALUE gpv where gpv.doc_link=ZT.LINK_UP and gpv.object=(select link from s_objects where code='RECEPTION_CASH_REASON'))) else ZT.REASON end,
				NOTE		 = ZT.TITLE

		from dbo.RECEPTION_CASH_table_view ZT
		inner join @tBlok5 CH ON CH.LINK_UP = ZT.LINK_UP and (ZT.KP = CH.CHECK_KAS or ZT.KP ='')
		where ZT.LINK_UP in (select LINK from dbo.BufferGetTableByID(@cBuffId))
end







GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BB_PRINT_PP]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[BB_PRINT_PP]
GO

CREATE PROCEDURE dbo.BB_PRINT_PP @cBufferID varchar(100)
AS BEGIN

	SELECT LINK_DOC = P.LINK,
		DataD = P.DATE, 
		Nom_Por = P.NUMBER, 
		Vidpl = CASE WHEN P.KIND IS NULL THEN ' ' ELSE LTRIM(RTRIM(P.KIND)) END, 
		[STATUS] = ISNULL(PA.STATUS, ''), 
		SUM_DOC = ISNULL(P.SUMMA, 0.00), 
		VID_OPL = CASE WHEN P.PAYKIND IS NULL THEN ' ' ELSE P.paykind END, 
		NAZ_PL = CASE WHEN P.REASON IS NULL THEN ' ' ELSE P.REASON END,
		SROK_PL = P.SROK, 
		OCHER = CASE WHEN P.[ORDER] IS NULL THEN ' ' ELSE P.[ORDER] END,
		
		--
		PLATEL = dbo.BB_DEP_NAME_FOR_SHABLON(isnull(APO.SHABLON_D,APOD.SHABLON_D), default, P.S_ACC_LINK), 
		--APO.SHABLON_D,APOD.SHABLON_D, 
		INN_PL = isnull(P.S_INN, ''), 
		KPP_PL = CASE WHEN ISNULL(P.PRINT_KPP, 0) = 1 THEN P.S_KPP ELSE '' END, 
		SCH_PLAT = isnull(P.S_SCH_K,P.S_ACC_NUM), 
		BIK_PLAT = isnull(P.S_BIK, SB.BIK), 
		BANK_PLAT = case isnull(DPO.FullBank, 0) when 0 then isnull(P.S_BANK, SB.name) else isnull(P.S_FBANK, SB.FNAME) end + ' ' + case isnull(DPO.Bank_cityP, 0) when 0 then '' else isnull(P.S_BANK_CITY, SB.CITY) end,
		SCH_B_PLAT = isnull(P.S_SCH_B, SB.KS), 
			
		--
		POLUCH = dbo.BB_DEP_NAME_FOR_SHABLON(CASE WHEN DOH_CODE is not null or OKATO is not null or P_REASON is not null or PERIOD is not null or TREBNUM is not null or TREBDATE is not null or P_TYPE is not null or STATUS is not null THEN isnull(APO.SHABLON_N, APOD.SHABLON_N) else isnull(APO.SHABLON_S, APOD.SHABLON_S) end, default, P.D_ACC_LINK), 
		INN_POL = ISNULL(P.D_INN, ''),
		KPP_POL = CASE WHEN ISNULL(P.PRINT_KPP, 0) = 1 THEN P.D_KPP ELSE '' END, 
		SCH_POL = isnull(P.D_SCH_K,P.D_ACC_NUM), 
		BIK_POL = isnull(P.D_BIK, DB.BIK), 
		BANK_POL = rtrim(case isnull(DPO.FullBank_R, 0) when 0 then isnull(P.D_BANK, DB.name) else isnull(P.D_FBANK, DB.FNAME) end) + ' ' + case isnull(DPO.Bank_city, 0) when 0 then '' else isnull(P.D_BANK_CITY, DB.CITY) end, 
		SCH_B_POL = isnull(P.D_SCH_B, DB.KS), 
		
		-- 
		KOMM1 = case P.BK_IN_TGT when 1 then rtrim(replace(replace(replace(replace(replace(replace(
												case isnull(ltrim(rtrim(P.BO_NUM)),'') when '' then rtrim(dbo.BB_DDELIM_DEL(isnull(APO.LS_FMT, APOD.LS_FMT),'<>')) else isnull(APO.LS_FMT, APOD.LS_FMT) end, 
												'<>', isnull(ltrim(rtrim(P.BO_NUM)),'')),
												'<>', case P.S_ACC_TYPE when 1 then '' else rtrim(P.S_ACC_NUM) end),
												'<_>', '
)'),												'<>',rtrim(dbo.BB_BK_FOR_SHABLON(P.LINK, isnull(APO.SHABLON_BK, APOD.SHABLON_BK),isnull(APO.DELIM, APOD.DELIM),isnull(APO.DELIM5, APOD.DELIM5)))),
													--'<>',/*str(P.S_ACC_LINK) + '#' +*/ APO.SHABLON_BK /*+ '#' + APO.DELIM + '#' + APO.DELIM5*/),
												'<>',rtrim(ltrim(str(floor(P.SUMMA))))),
												'<>', right('00' + rtrim(ltrim(str((P.SUMMA - floor(P.SUMMA)) * 100))),2))) + ' ' 
																				 
		
				else '' end + ltrim(replace(P.TARGETTEXT,char(13),'')) + ' ' + ltrim(dbo.PrintPlatporGetNDSString(P.LINK, 1)), 
		--[Num_BO] = BO_NUM,
		--targettext = targettext,
		
		--  
		DOH_CODE = rtrim(ISNULL(replace(PA.DOH_CODE,'.',''), '')) + ISNULL(PA.SGU_CODE, ''), 
		OKATO = ISNULL(PA.OKATO, ''), 
		P_REASON = ISNULL(PA.P_REASON, ''),
		PERIOD = ISNULL(PA.PERIOD, ''),
		TREBNUM = ISNULL(PA.TREBNUM, ''),
		TREBDATE = CASE WHEN PA.ZERODATE = 1 THEN '0' ELSE ISNULL(convert(varchar(10), PA.TREBDATE,  104), '') END, 
		P_TYPE = ISNULL(PA.P_TYPE, ''),  
		STATUS = ISNULL(PA.STATUS, ''), 
		DPP_REAL = '', 
		SUMPROP = '', 
		SUMREAL = '',
		
		-- 
		month_prop = ISNULL(DPO.MONTH, 0), 
		ShowPoint = ISNULL(DPO.POINT, 1), 
		ShowZero = ISNULL(DPO.ZERO, 0),
		ShowEqual = ISNULL(DPO.Equal, 0),
		
		DPO.SHOW_KOP,
		--DPO.SHOW_RUB,
		DPO.SUM_UCASE,
		--APO.DELIM,
		--APO.DELIM2,
		--APO.DELIM3,
		--APO.SHOW_SM,
		--APO.DELIM5,
		--APO.SUMALONE
--		[InnAlone] = 0,
		BO = ' ' + rtrim(FC.NUMBER) + '  ' + convert(varchar(10), FC.DATE, 104)
		
	FROM dbo.DOCUMENTS_PAY P
	inner join dbo.DOCUMENTS_PAY_ADD PA on P.LINK = PA.LINK
	inner join dbo.BufferGetTableByID(@cBufferID) B on P.LINK = B.LINK
	inner join dbo.DOCUMENTS_PAY_OPTIONS DPO on 1=1
	left join dbo.TREASURY_ACCOUNTS DTA on DTA.LINK = P.D_SCH_K_LINK 
	left join dbo.BANKS DB on DB.LINK = DTA.BANK_LINK
	left join dbo.TREASURY_ACCOUNTS STA on STA.LINK = P.S_SCH_K_LINK 
	left join dbo.BANKS SB on SB.LINK = STA.BANK_LINK
	left join dbo.BB_PAY_ACC_OPTIONS APO on APO.LINK_ACC = P.S_ACC_LINK
	left join dbo.DOCUMENTS_PAY_ACC_OPTIONS APOD on APOD.OSN = 1
	inner join dbo.DEPARTMENT_ACCOUNTS DA on APOD.LINK_ACC = DA.LINK and P.S_ACC_TYPE = DA.TYPE
	left join dbo.FINANS_CONTRACT_AND_CHANGES FC on FC.LINK = P.DOG_LINK
	EXEC dbo.BufferClear @cBufferID

END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

SET QUOTED_IDENTIFIER ON 
GO
SET ANSI_NULLS ON 
GO

if exists (select * from dbo.sysobjects where id = object_id(N'[dbo].[BK_REPORT_JURNAL_BO]') and OBJECTPROPERTY(id, N'IsProcedure') = 1)
drop procedure [dbo].[BK_REPORT_JURNAL_BO]
GO

CREATE PROCEDURE BK_REPORT_JURNAL_BO
	@td_DATE_START	DATETIME,
	@td_DATE_END	DATETIME,
	@nOptType int				/*  */,
	@cVal1 char(1), @nOtborLink1 int,	/*     */
	@cVal2 char(1), @nOtborLink2 int,	/*   */
	@cVal3 char(1), @nOtborLink3 int	/*   */
AS
BEGIN
	DECLARE @DEP_LINK	INT,
		@DEP_NAME	VARCHAR (254),
		@DEP_OKPO	VARCHAR (20),

		@dDATE_START	DATETIME,
		@dDATE_STOP	DATETIME

	DECLARE @TAB_DEP_ACCT TABLE (LINK_ACCT INT)
	IF LEN (@cVal1) > 0 
		INSERT INTO @TAB_DEP_ACCT
		SELECT RECORD
		FROM OBJECT_VAR_DEPARTMENT_ACCOUNTS
		WHERE LINK_UP = @nOtborLink1
	ELSE
		INSERT INTO @TAB_DEP_ACCT
		SELECT LINK
		FROM dbo.DEPARTMENT_ACCOUNTS
	
	DECLARE @tKBK TABLE (LINK INT)
	IF LEN (@cVal2) > 0 
		INSERT INTO @tKBK
		SELECT RECORD
		FROM OBJECT_VAR_KBK
		WHERE LINK_UP = @nOtborLink2
	ELSE
		INSERT INTO @tKBK
		SELECT LINK
		FROM dbo.KL_KBK
	
	--    --
	DECLARE @TAB_SFIN TABLE (CODE CHAR (2))

	IF LEN (@cVal3) > 0 
		INSERT INTO @TAB_SFIN
		SELECT D.CODE
		FROM dbo.OBJECT_VAR_FIN_SOURCE OVR
		INNER JOIN dbo.FIN_SOURCE D ON (D.LINK = OVR.RECORD)
		WHERE OVR.LINK_UP = @nOtborLink3
	ELSE
		INSERT INTO @TAB_SFIN
		SELECT D.CODE
		FROM dbo.FIN_SOURCE D 


	SELECT @dDATE_START = BEGINDATE,
		@dDATE_STOP = ENDDATE
	FROM USER_INFO

	SELECT @DEP_LINK = LINK,
		@DEP_NAME = NAME,
		@DEP_OKPO = OKPO
	FROM DICTIONARY_DEPARTMENT
	WHERE LINK = COALESCE (dbo.BK_GetDepZB (), dbo.GetOwnDepLink ())

	SET @dDATE_START = ISNULL (@td_DATE_START, @dDATE_START)
	SET @dDATE_STOP = ISNULL (@td_DATE_END, @dDATE_STOP)

	SELECT T1.DEP AS DEP_LINK,
		@DEP_NAME AS DEP_NAME,
		@DEP_OKPO AS DEP_OKPO,

		CONVERT (VARCHAR (10), @dDATE_START, 104) AS DATE_BEGIN, 
		CONVERT (VARCHAR (10), @dDATE_STOP, 104) AS DATE_END,
		CONVERT (VARCHAR (10), T1.DATE_AP1, 104) AS DOC_DATE,

		CODE_AP1 AS DOC_NUM,
		NAME_AP1 AS DOC_NAME,
		TYPE_AP1 AS DOC_TYPE,
		SA.LINK,
		dbo.BK_GetAcctFullCode1 (SA.LINK, T1.KBK_LINK, T1.SGU_LINK, 1, 1) AS ACCT_CODE,
		T1.SUMMA,
		CONVERT (VARCHAR (10), ISNULL (T1.DATE_PR,T1.DATE_AP1), 104) AS cDATE_PR,
		ISNULL (CONVERT (VARCHAR (10), T1.DATE_SN, 104), '') AS cDATE_SN,
		ISNULL (G2.[NAME], '') AS COMENT
	FROM dbo.BD_JURN_BO T1
	INNER JOIN @TAB_DEP_ACCT D_ACCT ON (D_ACCT.LINK_ACCT = T1.ACCOUNT_LINK)
	INNER JOIN @tKBK KBK ON KBK.LINK = T1.KBK_LINK
	inner join @TAB_SFIN SF on SF.CODE = T1.IST_FIN
	LEFT OUTER JOIN G_PROV2 G2 ON T1.PROV_LINK = G2.LINK
	LEFT OUTER JOIN G_PROV_AP GAP ON GAP.LINK_UP = G2.LINK and GAP.DB_KR = 1
	LEFT OUTER JOIN S_ACCOUNTS SA ON GAP.ACCOUNT = SA.LINK
	WHERE T1.DATE_AP1 BETWEEN @dDATE_START AND @dDATE_STOP
		AND T1.DEP = @DEP_LINK
		and (@nOptType = 1 or @nOptType = 2 and DO = 0 or @nOptType = 3 and DO = 1)
	ORDER BY T1.DATE_AP1, T1.NAME_AP1
END

GO
SET QUOTED_IDENTIFIER OFF 
GO
SET ANSI_NULLS ON 
GO

GRANT ALL ON BK_REPORT_JURNAL_BO TO PUBLIC
GO

--- :    (SQL_REP_JURN_BO) --- 
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'QUERY_SQL'), '  ', NULL, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REPORT_CATALOG_FINANS'), 'SQL_REP_JURN_BO', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_FIL1')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'QUERY_FILTER'), '   ', 0, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO'), 'SQL_REP_JURN_BO_FIL1', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_NAS1')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'QUERY_NASTRS'), ' ', 4, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO'), 'SQL_REP_JURN_BO_NAS1', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_FIL11')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'OTBOR_QUERY_SQL_DEP_ACC_ZB'), '   (  )', 1, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_FIL1'), 'SQL_REP_JURN_BO_FIL11', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_FIL12')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'OTBOR_QUERY_SQL_KBK'), ' ', 2, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_FIL1'), 'SQL_REP_JURN_BO_FIL12', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_FIL_IST')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'OTBOR_QUERY_SQL_DICTION_SFIN'), '   ', 3, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_FIL1'), 'SQL_REP_JURN_BO_FIL_IST', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_NAS11')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'NASTR_QUERY_DATEBOX_PB'), ' ', 5, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_NAS1'), 'SQL_REP_JURN_BO_NAS11', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_NAS12')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'NASTR_QUERY_DATEBOX_PE'), ' ', 6, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_NAS1'), 'SQL_REP_JURN_BO_NAS12', NULL, NULL, 1
GO
IF NOT EXISTS (SELECT * FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_DO')
	INSERT INTO dbo.OBJECT_VAR (OBJECT, [NAME], ORDERS, LINK_SELF, CODE, LINK_STATE, USERS, SYS)
	SELECT (SELECT LINK FROM dbo.S_OBJECTS WHERE CODE = 'NASTR_QUERY_OPTIONGROUP'), ' ', 7, (SELECT LINK FROM dbo.OBJECT_VAR WHERE CODE = 'SQL_REP_JURN_BO_NAS1'), 'SQL_REP_JURN_BO_DO', NULL, NULL, 1
GO

delete from dbo.OBJECT_VAR where CODE = 'SQL_REP_JURN_BO_NAS13'
	
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'INIT_OBJECT_METHOD', 'm_print_query(nLink_Var)', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'CHECK_VALUE_IN_TABLE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'AFTER_CHANGE_PROG_NASTR', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'BEFORE_CHANGE_PROG_NASTR', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'NASTR_XL_CENTER_HEADER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'NASTR_XL_DATETIME', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'NASTR_XL_FOOTER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'NASTR_XL_FREEZEPANES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'NASTR_XL_LEFT_HEADER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'NASTR_XL_PAGES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'NASTR_XL_RIGHT_HEADER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_ADDFROM', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_ADDINTO', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_ADDSELECT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_ADDWHERE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_AFTER', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_BEFORE', 'EXEC	BK_REPORT_JURNAL_BO
	@dDateB1	/*   */,
	@dDateE1	/*   */,
	@nOption1 	/*   */,
	@cVal1, @nOtborLink1,	/*     */
	@cVal2, @nOtborLink2,	/*   */
	@cVal3, @nOtborLink3	/*  */
', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_DATETIME', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_DISTINCT', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_FOOTER', '="                               " & User_FIO
                                 ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_FREEZEPANES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_HEADER', '=User_Name', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_PAGES', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_PROCEDURE', '#REP_JURN_BO', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_REPMAKER', 'KirRepMaker.xls', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_REPORT', 'IIF(.T.,"JURN_BO_F0504064.XLT","")', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_REPORT_PATH', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_SQL', 'CREATE PROCEDURE #REP_JURN_BO
	@dDateB1 datetime	/*   */,
	@dDateE1 datetime	/*   */,
	@nOption1 int	/*   */,
	@nFilterLink int	/*  */
AS
BEGIN
	DECLARE @cVal1 char(1), @nOtborLink1 int	/*    (  ) */
	SELECT @nOtborLink1 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_DEP_ACC_ZB''))
	SELECT @cVal1 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink1 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))
	DECLARE @cVal2 char(1), @nOtborLink2 int	/*   */
	SELECT @nOtborLink2 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_KBK''))
	SELECT @cVal2 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink2 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))
	DECLARE @cVal3 char(1), @nOtborLink3 int	/*     */
	SELECT @nOtborLink3 = (SELECT LINK FROM OBJECT_VAR WHERE LINK_SELF=@nFilterLink AND OBJECT=(SELECT LINK FROM S_OBJECTS WHERE CODE=''OTBOR_QUERY_SQL_DICTION_SFIN''))
	SELECT @cVal3 = (SELECT VALUE FROM OBJECT_VAR_VALUES WHERE LINK_UP=@nOtborLink3 AND PROPERTY=(SELECT LINK FROM S_PROPERTY WHERE CODE=''QUERY_OTBOR_CHECK''))

EXEC	BK_REPORT_JURNAL_BO
	@dDateB1	/*   */,
	@dDateE1	/*   */,
	@nOption1 	/*   */,
	@cVal1, @nOtborLink1,	/*     */
	@cVal2, @nOtborLink2,	/*   */
	@cVal3, @nOtborLink3	/*  */


END', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_SYSTEM', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_TOP', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_TOTAL', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_TOTALCOL', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_TOTALROW', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_AP_LIST', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'EOD_PROTOCOL', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'AFTER_REPORT_PROG', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_ADD_MODULE', 'KirRepCommon.bas', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_CODE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'QUERY_DATE_TYPE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'SQUERY_NO_SHOW', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO', 'REPORT_EXTERNAL_GENERATOR', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL1', 'QUERY_NASTR_NOTE', '   ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL1', 'QUERY_VARIANT_ID', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS1', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL11', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL11', 'QUERY_OTBOR_CHECK', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL11', 'QUERY_OTBOR_DICTIONARY_CODE', 'DICTIONARY_DEP_ACCOUNTS_ZB', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL11', 'QUERY_OTBOR_FIELD', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL11', 'QUERY_OTBOR_PARENT_CODE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL11', 'QUERY_OTBOR_VALUE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL12', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL12', 'QUERY_OTBOR_CHECK', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL12', 'QUERY_OTBOR_DICTIONARY_CODE', 'BI_DICTION_KBK', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL12', 'QUERY_OTBOR_FIELD', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL12', 'QUERY_OTBOR_PARENT_CODE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL12', 'QUERY_OTBOR_VALUE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL_IST', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL_IST', 'QUERY_OTBOR_CHECK', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL_IST', 'QUERY_OTBOR_DICTIONARY_CODE', 'DICTIONARY_FIN_SOURCE_RPT', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL_IST', 'QUERY_OTBOR_FIELD', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL_IST', 'QUERY_OTBOR_PARENT_CODE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_FIL_IST', 'QUERY_OTBOR_VALUE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'EDITABLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'SQUERY_NASTR_NON_VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'FORMAT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_CAPTION', ' ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_CONTROL', 'DATEBOX', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_NUMPARAM', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_SAVE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_SOURCE', ' , , . , . , , , . , . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_SQLPARAM', '@dDateB1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_SQLTYPE', 'datetime', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_VALUE', ' . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'QUERY_NASTR_VALUE_TEXT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS11', 'SQUERY_NASTR_OPTIONAL', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'EDITABLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'SQUERY_NASTR_NON_VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'FORMAT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_CAPTION', ' ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_CONTROL', 'DATEBOX', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_NUMPARAM', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_SAVE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_SOURCE', ' , , . , . , , , . , . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_SQLPARAM', '@dDateE1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_SQLTYPE', 'datetime', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_VALUE', ' . ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'QUERY_NASTR_VALUE_TEXT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_NAS12', 'SQUERY_NASTR_OPTIONAL', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'EDITABLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'SQUERY_NASTR_NON_VISIBLE', '0', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'FORMAT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_CAPTION', ' ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_CONTROL', 'OPTIONGROUP', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_NOTE', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_NUMPARAM', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_SAVE', '1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_SOURCE', ' , , ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_SQLPARAM', '@nOption1', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_SQLTYPE', 'int', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_VALUE', ' ', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'QUERY_NASTR_VALUE_TEXT', '', 0
GO
EXEC dbo.KIR_OBJECT_VAR_SET_VALUE 'SQL_REP_JURN_BO_DO', 'SQUERY_NASTR_OPTIONAL', '0', 0
GO
EXEC X_SET_PROP 'BB_UVED_U_TABLE_DEP_CODE', 'EDIT_OBJECT_METHOD', 'XD_VIBOR_GROUPED_01("DICTIONARY_DEPARTMENT", oObj.Parent.Parent.RECORDSOURCE, "LINK,NAME,INN,KPP,CODE,OKATO", "DEP_LINK,DEP_NAME,DEP_INN,DEP_KPP,DEP_CODE,DEP_OKATO", "", "", "", .T., 1, oForm, oObj,"",.T.,"DEPARTMENT_GROUPS")'
GO

IF  EXISTS (SELECT * FROM dbo.sysobjects WHERE id = OBJECT_ID(N'dbo.[SA_N_VAC_FILL2]') AND OBJECTPROPERTY(id,N'IsProcedure') = 1)
DROP PROCEDURE dbo.[SA_N_VAC_FILL2]

GO

CREATE      PROCEDURE dbo.SA_N_VAC_FILL2 
---     562  
(
 @LINK_DOC INT OUTPUT, --  .	
 @OBJ_CODE VARCHAR(50), -- 
 @SR_VID TINYINT = 1, --     1 -   , 2 - 
 @LINK_VAC INT, --  
 @SR_LINK_EMPL INT  = NULL, --       
 @LINK_PAYS INT = NULL, --   
 @TYP_PERIOD TINYINT  = NULL, --  : 1- 3 , 2 - 12 
 @PAYMENT TINYINT  = NULL,--   1 -   , 2 -   
 @SR_DATE1 DATETIME  = NULL,--         
 @SR_DATE2 DATETIME  = NULL,--         
 @SR_DATE DATETIME  = NULL,--           
 @RECALC TINYINT = 0, -- 0  .     3 
			-- 1 -      
			-- 2 -     
			-- 3 -     
 @OPER TINYINT = 0, -- 1 -  ,
 @LINK_DEP INT = NULL
)
AS

SET NOCOUNT ON

SET @PAYMENT = 2 --     
--    
SET @TYP_PERIOD = CASE WHEN COALESCE(@TYP_PERIOD,0) = 0 THEN
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN dbo.sa_get_option_by_code('FURLOUGH_OPT2')
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN dbo.sa_get_option_by_code('CALC_TRAVEL_OPT1')
				WHEN 'DOCUMENTS_CALC_AVG' THEN 1
				ELSE NULL
			END
		ELSE @TYP_PERIOD END

SET @TYP_PERIOD = 2 -- 12 

--   
SET @PAYMENT = CASE WHEN COALESCE(@PAYMENT,0) = 0 THEN
			CASE RTRIM(LTRIM(@OBJ_CODE))
				WHEN 'DOCUMENTS_ADD_FURLOUGH' THEN dbo.sa_get_option_by_code('FURLOUGH_OPT3')
				WHEN 'DOCUMENTS_CALC_TRAVEL' THEN dbo.sa_get_option_by_code('CALC_TRAVEL_OPT2')
				WHEN 'DOCUMENTS_CALC_AVG' THEN 2
				ELSE NULL
			END
		ELSE @PAYMENT END

---
DECLARE 
 @LINK_EMPL INT, --  
 @DATE_BEGIN DATETIME, -- , 
 @DATE_BEGIN2 DATETIME, -- , 
 @DATE_END DATETIME, -- , 
 @REF_TYP INT, --   , 
 @order_link int, 
 @NEW_DATE_END DATETIME,
 @NEW_DATE_BEG DATETIME,
 @UCHET_PREM TINYINT,
 @comment varchar(100),
 @HOLIDAY TINYINT

DECLARE @UNAME VARCHAR(30)
SET @UNAME = CASE WHEN DBO.SA_GET_OPTION_BY_CODE('SALARY_OPTIONS_OPT10') = 1 THEN COALESCE(dbo.AdminGetUserFIO(default),'') ELSE '' END
SET @UNAME = @UNAME + CASE WHEN LEN(@UNAME) > 0 THEN ':' ELSE '' END

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_ADD_FURLOUGH'
BEGIN

	SELECT @LINK_EMPL = EMPL_LINK, @LINK_PAYS = COALESCE(@LINK_PAYS,LINK_PAYS), 
		@DATE_BEGIN = DATE_BEGIN,
		@SR_DATE = COALESCE(@SR_DATE, (select min(DATE_BEGIN) from dbo.ITEM_VACATION IV1 WHERE IV1.order_link = IV.order_link and IV1.EMPL_LINK = IV.EMPL_LINK)), 
		@DATE_END = DATE_END,
		@REF_TYP = IV.TYPE_LINK, @order_link = order_link,
		@comment = @UNAME + '.:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(VV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@HOLIDAY = VV.HOLIDAY, --  ,
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_VACATION IV ON IV.ORDER_LINK = O.LINK
		INNER JOIN dbo.VACATION_VID VV ON IV.TYPE_LINK = VV.LINK WHERE IV.LINK = @LINK_VAC

	DECLARE	@DATE_BREAK DATETIME	--    
	DECLARE	@DATE_BREAK_NEW_BEGIN DATETIME	--    

	-- :  ,        
	IF EXISTS(SELECT * FROM ITEM_VACATION_BREAK IVB WHERE IVB.ACTIVE = 1 AND ISNULL(BREAK_WORK_DAYS,0) != 0 AND IVB.VAC_LINK = @LINK_VAC) BEGIN

		DECLARE @BREAK_WORK_DAYS INT	--    
		DECLARE @LEN_KAL_DAYS INT	--    
		DECLARE @EMPL_LINK INT		--   
		--
		SELECT	TOP 1
			@EMPL_LINK = EMPL_LINK,
			@DATE_BREAK = DATE_BREAK,
			@BREAK_WORK_DAYS = BREAK_WORK_DAYS,
			@LEN_KAL_DAYS = LEN_KAL_DAYS
		FROM	ITEM_VACATION_BREAK IVB
		WHERE	IVB.ACTIVE = 1
			AND ISNULL(BREAK_WORK_DAYS,0) != 0
			AND IVB.VAC_LINK = @LINK_VAC
		--
		SET ROWCOUNT @BREAK_WORK_DAYS
		SELECT	T.DATE
		INTO	#TEMP_TABLE
		FROM
		(
		SELECT	[DATE]  = dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD)),
			[HOURS] = MAX(HOURS)
		FROM	GRAPHICS G INNER JOIN dbo.GRAPHIC_DAYS GD ON GD.LINK_UP=G.LINK 
		WHERE	G.GRAPH_LINK = dbo.kd_GetEmplGr(@EMPL_LINK)
			AND dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD)) BETWEEN @DATE_BREAK AND @DATE_BREAK + @BREAK_WORK_DAYS + @LEN_KAL_DAYS
		GROUP	BY dbo.ConvertDMY2Date(GD.DAY, MONTH(G.PERIOD), Year(G.PERIOD))
		) T
		WHERE	T.HOURS > 0
			AND T.DATE >= @DATE_BREAK
		SET ROWCOUNT 0
		--
		SET @DATE_BREAK_NEW_BEGIN = (SELECT TOP 1 DATE + 1 FROM #TEMP_TABLE ORDER BY DATE DESC)
		SET @NEW_DATE_END = @DATE_BREAK_NEW_BEGIN + @LEN_KAL_DAYS - 1
	
		DROP TABLE #TEMP_TABLE
		SET @DATE_END = COALESCE(@NEW_DATE_END,@DATE_END)
	END 
	ELSE BEGIN
		SET @NEW_DATE_END = (SELECT MIN(ivb.DATE_BREAK - 1) FROM dbo.item_vacation iv inner join dbo.item_vacation_break ivb on ivb.vac_link = iv.link WHERE ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
		SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) <  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)
	END
	-- :    
	SET @NEW_DATE_END = (SELECT MAX(ivb.NEW_DATE_END) FROM item_vacation iv inner join item_vacation_dis ivb on ivb.vac_link = iv.link WHERE  ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
	SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) >  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)
END

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_TRAVEL'
BEGIN
	SELECT @LINK_EMPL = EMPL_LINK, @LINK_PAYS = COALESCE(@LINK_PAYS,LINK_PAYS), 
		@SR_DATE = COALESCE(@SR_DATE, DATE_BEGIN), 
		@DATE_BEGIN = DATE_BEGIN, @DATE_END = DATE_END, 
		@REF_TYP = IT.TYPE_LINK,
		@comment = @UNAME + '..:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(KV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.item_travel IT ON IT.ORDER_LINK = O.LINK
		INNER JOIN dbo.KOMAND_VID KV ON IT.TYPE_LINK = KV.LINK WHERE IT.LINK = @LINK_VAC

	-- :   
	SET @NEW_DATE_END = (SELECT MAX(ivb.NEW_DATE_END) FROM item_travel iv inner join item_travel_long ivb on ivb.TRAVEL_LINK = iv.link WHERE ivb.ACTIVE = 1 AND iv.LINK = @LINK_VAC)
	SET @DATE_END = (CASE WHEN COALESCE(@NEW_DATE_END,@DATE_END) >  @DATE_END THEN COALESCE(@NEW_DATE_END,@DATE_END) ELSE @DATE_END END)

END

DECLARE @PDAY NUMERIC(5,2)
SET @PDAY = 0	

IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG' 
BEGIN

	SELECT @LINK_EMPL = EMPL_LINK, 
		@SR_DATE = COALESCE(@SR_DATE, DIS_DATE), 
		@DATE_BEGIN = DIS_DATE, 
		@DATE_END = DIS_DATE + CASE WHEN ISNULL(VAC_KOMPENS_DAY,0) > 0 THEN CONVERT(INT, VAC_KOMPENS_DAY) ELSE 0 END,
		@PDAY = CASE WHEN ISNULL(VAC_KOMPENS_DAY,0) > 0 THEN VAC_KOMPENS_DAY - CONVERT(INT, VAC_KOMPENS_DAY) ELSE 0 END,
		@REF_TYP = IT.REASON,
		@comment = @UNAME + '. .:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(KV.[NAME])),30) + ' '+RTRIM(LTRIM([NUMBER])) + '  ' + CONVERT(VARCHAR(10),[DATE],104),
		@LINK_DEP = COALESCE(@LINK_DEP,O.DEP_LINK)
	FROM dbo.ORDERS O INNER JOIN dbo.ITEM_DIS_FACE IT ON IT.ORDER_LINK = O.LINK
		INNER JOIN [dbo].[DICTION] KV ON IT.REASON = KV.LINK 
	WHERE IT.LINK = @LINK_VAC AND ISNULL(VAC_KOMPENS_DAY,0) > 0

	IF @LINK_EMPL IS NULL
		SELECT @LINK_EMPL = @SR_LINK_EMPL, @comment = @UNAME + '..:' + COALESCE(dbo.sd_GetEmplName(@LINK_EMPL),'') + ',' + LEFT(RTRIM(LTRIM(P.[NAME])),30)
		FROM dbo.PAYS P WHERE LINK = @LINK_PAYS

	SELECT @LINK_DEP = DEP_LINK FROM DBO.USER_DEP WHERE @LINK_DEP IS NULL

END


---    
IF (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' 
	OR @OBJ_CODE = 'DOCUMENTS_CALC_TRAVEL' 
	OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
	SET @UCHET_PREM = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT8'),1)
ELSE
	SET @UCHET_PREM = 0

---

DECLARE 
 @SystPay INT,
 @RP INT, --   
 @DATE_BEGIN_RP DATETIME, --  
 @DATE_END_RP DATETIME, --  
 @DATE_BEGIN_WRK DATETIME, --  
 @DATE_END_WRK DATETIME, --  
 @LINK_PERS INT, --  .
 @DEP_LINK INT,
 @MAX_DATE DATETIME,
 @I INT,
 @varKSsoLink INT,
 @NO_RAION TINYINT

SET @RP = (CASE @TYP_PERIOD WHEN 1 THEN 3 WHEN 2 THEN 12 ELSE 0 END)

SELECT TOP 1 
 @LINK_PERS = PERS_LINK,  @SystPay = SYST_PAY, @DEP_LINK = DEP_LINK, 
 @DATE_BEGIN_RP = dbo.kd_DateBeginWork(LINK,@DATE_BEGIN), 
 @DATE_END_RP = dbo.kd_DateEndWork(LINK,@DATE_BEGIN), 
 @MAX_DATE = '29990101',
 @NO_RAION = ISNULL(NO_RAION,0)
FROM dbo.EMPL WHERE LINK = @LINK_EMPL

declare @EmplNumStake numeric(5,2)
Set @EmplNumStake = Coalesce(dbo.ku_GetEmplNumStake(@LINK_EMPL,DEFAULT),0)

DECLARE @MINROT NUMERIC(18,2)

	SET @MINROT = dbo.minrot2(@DATE_BEGIN) * @EmplNumStake

---  
IF RTRIM(LTRIM(@OBJ_CODE)) = 'DOCUMENTS_CALC_AVG'
	SELECT @DATE_BEGIN_RP = @SR_DATE, @DATE_END_RP = dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)), @DATE_BEGIN = @SR_DATE1, @DATE_END = @SR_DATE2, @LINK_EMPL = @SR_LINK_EMPL
ELSE
	SELECT 
	@DATE_BEGIN_RP = dbo.DateBeginOfMonth( CASE WHEN @DATE_BEGIN_RP > @SR_DATE THEN @DATE_BEGIN_RP ELSE @SR_DATE END),
	@DATE_END_RP = dbo.DateEndOfMonth( CASE WHEN COALESCE(@DATE_END_RP,@MAX_DATE) < dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)) THEN COALESCE(@DATE_END_RP,@MAX_DATE) ELSE dbo.DateEndOfMonth(DATEADD(MONTH, @RP-1,@SR_DATE)) END ),
	@SR_VID = 1

---   ,    
DECLARE @NUMBER VARCHAR(10), @DATE_DOC DATETIME
IF COALESCE(@LINK_DOC,0)  = 0
BEGIN
	exec dbo.SALARY_NEXT_NUM @NUMBER OUT, @OBJ_CODE
	SET @DATE_DOC = (Select top 1 WORKDATE from USER_DATES)
	exec dbo.SD_N_VACATION_SAVE @LINK_DOC OUT,@OBJ_CODE, @NUMBER, @DATE_DOC, @LINK_PAYS, @comment, 0, @LINK_EMPL, 0, 0, @TYP_PERIOD, 
			@DATE_BEGIN, @DATE_END, 0, @PAYMENT, @LINK_VAC, 0, @SR_VID, @DATE_BEGIN_RP, @LINK_DEP
END
ELSE
	SET @DATE_DOC = (SELECT [DATE] FROM DBO.SDOC WHERE LINK = @LINK_DOC)

--
UPDATE dbo.SDOC_AVAC 
SET INSTR = 2
WHERE LINK_UP = @LINK_DOC

--
IF @RECALC <= 1  ---     
BEGIN
	---   
	CREATE TABLE #BASE1 (
		PERIOD DATETIME,
		CODE_PAY VARCHAR(254),
		NAME_PAY VARCHAR(254), 
		WAY_CALC INT,
		LINK_PAY INT,
		SUMMA NUMERIC(18,2),
		LINK_VKR INT,
		DATE1 DATETIME,
		DATE2 DATETIME,
		KOEF  NUMERIC(18,4),
		SUMMA_CL NUMERIC(18,2),
		p tinyint
	)


	DECLARE @DEFAULT_KBK INT
	SET @DEFAULT_KBK = (Select TOP 1 KBK.LINK_KBK FROM dbo.KU_EmplStafKBK(default) KBK WHERE KBK.LINK_EMPL = @LINK_EMPL)

	DECLARE @FURLOUGH_GOS_OPT1 int --    1/12   
	SET @FURLOUGH_GOS_OPT1 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT1')

	DECLARE @FURLOUGH_GOS_OPT2 int --     1/12   
	SET @FURLOUGH_GOS_OPT2 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT2')

	IF @RECALC = 0 BEGIN
		--     
		INSERT INTO #BASE1 (PERIOD, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, LINK_VKR, DATE1, DATE2, p)
		Select 
			PERIOD_BEGIN = CASE WHEN COALESCE(R.LINK_UP,0) = 0 THEN dbo.DateBeginOfMonth(PERIOD_BEGIN) ELSE dbo.DateBeginOfMonth(DATE1) END,
			CODE_PAY = SJ.CODE_PAYS,
			NAME_PAY = SJ.NAME_PAYS,
			WAY_CALC = SJ.WAY_CALC,
			LINK_PAY = SJ.LINK_PAYS,
			SUMMA = SUM(SJ.SUMMA),
--			SUMMA = CASE SJ.WAY_CALC
--					WHEN 6 THEN (CASE WHEN @FURLOUGH_GOS_OPT1 = 1 THEN ROUND(SUM(SJ.SUMMA)/12,2) ELSE SUM(SJ.SUMMA) END) 
--					WHEN 7 THEN (CASE WHEN @FURLOUGH_GOS_OPT1 = 1 THEN ROUND(SUM(SJ.SUMMA)/12,2) ELSE SUM(SJ.SUMMA) END) 
--					WHEN 12 THEN (CASE WHEN @FURLOUGH_GOS_OPT2 = 1 THEN ROUND(SUM(SJ.SUMMA)/12,2) ELSE SUM(SJ.SUMMA) END) 
--				END,
			LINK_VKR = COALESCE(LINK_VKR,@DEFAULT_KBK),
			DATE1, 
			DATE2,
			1
		from dbo.S_J_C_Short SJ
			INNER JOIN dbo.group_pays(@LINK_PAYS) T ON SJ.link_PAYS=T.PAY_LINK
			--      ,   
			LEFT JOIN dbo.SDOC_AREC R ON SJ.LINK_DOC = R.LINK_UP 
		where 
			SJ.LINK_EMPL = @LINK_EMPL	
			AND (CASE WHEN COALESCE(R.LINK_UP,0) = 0 THEN PERIOD_BEGIN ELSE DATE1 END) >= @DATE_BEGIN_RP
			AND (CASE WHEN COALESCE(R.LINK_UP,0) = 0 THEN PERIOD_END ELSE DATE2 END) <= @DATE_END_RP
			AND SJ.WAY_CALC in (6,7,12)--   
		GROUP BY 
			CASE WHEN COALESCE(R.LINK_UP,0) = 0 THEN dbo.DateBeginOfMonth(PERIOD_BEGIN) ELSE dbo.DateBeginOfMonth(DATE1) END,
			SJ.CODE_PAYS, SJ.NAME_PAYS, SJ.WAY_CALC, SJ.LINK_PAYS, COALESCE(LINK_VKR,@DEFAULT_KBK), DATE1,  DATE2				
	END

	--  

	DECLARE @DATE_BEGIN_RP_OLD DATETIME
	SELECT @DATE_BEGIN_RP_OLD = @DATE_BEGIN_RP

	SET @DATE_BEGIN_RP = dbo.DateBeginOfMonth(@DATE_BEGIN)

	INSERT INTO #BASE1 (PERIOD, CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, SUMMA, LINK_VKR, DATE1, DATE2, p)
	select @DATE_BEGIN_RP, P.CODE, P.NAME, P.WAY_CALC, S.LINK_PAY, S.SUMMA, S.LINK_KBK, @DATE_BEGIN_RP, dbo.DateEndOfMonth(@DATE_BEGIN), 0  
	from 
		dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @DATE_BEGIN, DEFAULT, @LINK_DEP) S
		inner join dbo.pays P on s.link_pay = p.link
	where 
		WAY_CALC not in (6, 7, 12)
		AND
		s.link_pay IN (Select T.PAY_LINK FROM dbo.group_pays(@LINK_PAYS) T)

	SELECT @DATE_BEGIN_RP = @DATE_BEGIN_RP_OLD



	---
	UPDATE #BASE1 SET LINK_VKR = @DEFAULT_KBK WHERE LINK_VKR IS NULL

	---
	DECLARE @FURLOUGH_OPT11 int --     
	--    "  ",    
	SET @FURLOUGH_OPT11 = (CASE WHEN @NO_RAION = 1 THEN 0 ELSE dbo.sa_get_option_by_code('FURLOUGH_OPT11') END)

	DECLARE @FURLOUGH_GOS_OPT4 varchar(10) --     . 
	SET @FURLOUGH_GOS_OPT4 = COALESCE((SELECT VALUE FROM S_OPTIONS WHERE OBJECT = (SELECT LINK FROM S_OBJECTS WHERE CODE = RTRIM(LTRIM('FURLOUGH_GOS_OPT4'))) AND SID IS NULL),'')
	SET @FURLOUGH_GOS_OPT4 = CASE WHEN @FURLOUGH_GOS_OPT4 LIKE '%.  .%' THEN '' ELSE @FURLOUGH_GOS_OPT4 END

	SET @FURLOUGH_GOS_OPT4 = CASE WHEN LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) = '' THEN '01.01.1900' else LTRIM(RTRIM(@FURLOUGH_GOS_OPT4)) END

	----
	UPDATE #BASE1
	SET SUMMA_CL = SUMMA

	---  ,  

	UPDATE #BASE1
	SET SUMMA = COALESCE(SUMMA_CL,0) *
			CASE WHEN WAY_CALC = 12
			THEN (CASE WHEN PERIOD >= CONVERT(DATETIME,@FURLOUGH_GOS_OPT4,104) THEN 1 + DBO.SA_GET_REGION(@LINK_EMPL,PERIOD,1) / 100 ELSE 1 END) 
			ELSE 1 + DBO.SA_GET_REGION(@LINK_EMPL,PERIOD,1) / 100
			END
	WHERE 
		@FURLOUGH_OPT11 = 1	

	---  ,  
	DECLARE @FURLOUGH_GOS_OPT5 int --     
	SET @FURLOUGH_GOS_OPT5 = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT5')

	IF @FURLOUGH_GOS_OPT5 = 1 BEGIN
		DECLARE @NORTH_KOEF NUMERIC(6,2)
		SET @NORTH_KOEF = DBO.SA_GET_REGION(@LINK_EMPL,@DATE_BEGIN,2) / 100
	
		UPDATE #BASE1
		SET SUMMA = COALESCE(SUMMA,0) + COALESCE(SUMMA_CL,0) * @NORTH_KOEF
		WHERE @NORTH_KOEF > 0
	END

	--- ,      
	DECLARE @KBK_OPT TINYINT
	IF (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
		SET @KBK_OPT = dbo.sa_get_option_by_code('FURLOUGH_OPT7')
	ELSE			
		SET @KBK_OPT = 0

	IF @RECALC = 0 BEGIN
		---
		Select PERIOD = MAX(PERIOD), PERIOD1 = (YEAR(PERIOD) * 100 + MONTH(PERIOD)), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, 
			summa = SUM(SUMMA), KOEF= 1, LINK_VKR = (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), DATE1, DATE2 
		INTO #BASE
		from #BASE1 
		where p = 1
		group by (YEAR(PERIOD) * 100 + MONTH(PERIOD)), CODE_PAY, NAME_PAY, WAY_CALC, LINK_PAY, (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), DATE1, DATE2 

		--   
		DECLARE @PAYS_MONTS VARCHAR(100)
		EXEC X_GET_TABLE_NAME @PAYS_MONTS OUTPUT

		---
		EXEC M_CROSS_TABLE
			'LINK_PAY, LINK_VKR',
			'PERIOD1', 'INT',
			'SUMMA', 'NUMERIC(18,2)', 'SUM(SUMMA) AS SUMMA',
			'#BASE', @PAYS_MONTS

		DECLARE @PAYS_MONTS1 VARCHAR(100)
		SET @PAYS_MONTS1 = @PAYS_MONTS + '1'

		EXEC M_CROSS_TABLE
			'LINK_PAY, LINK_VKR',
			'PERIOD1', 'INT',
			'KOEF', 'NUMERIC(18,4)', 'MAX(KOEF) AS KOEF',
			'#BASE', @PAYS_MONTS1

		DELETE FROM dbo.SDOC_AVAC_TABLE3  WHERE LINK_UP = @LINK_DOC
		
		DECLARE @SCRIPT VARCHAR(8000)
		SET @SCRIPT = ' INSERT INTO dbo.SDOC_AVAC_TABLE3 (LINK_UP, ORDERS, LINK_PAY, LINK_KBK, SUMMA1, KOEF1, SUMMA2, KOEF2, SUMMA3, KOEF3, SUMMA4, KOEF4, SUMMA5, KOEF5, SUMMA6, KOEF6, 
					SUMMA7, KOEF7, SUMMA8, KOEF8,  SUMMA9, KOEF9, SUMMA10, KOEF10, SUMMA11, KOEF11,  SUMMA12, KOEF12)'  
				+ ' Select ' + CONVERT(VARCHAR(20),@LINK_DOC) + ', 0, P1.LINK_PAY, P1.LINK_VKR'  
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,0,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,0,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,1,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,1,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,2,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,2,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,3,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,3,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,4,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,4,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,5,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,5,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,6,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,6,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,7,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,7,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,8,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,8,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,9,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,9,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,10,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,10,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
				+ CASE WHEN EXISTS (SELECT * from #BASE WHERE YEAR(PERIOD) = YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) AND MONTH(PERIOD) = MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP)) )
				THEN ', COALESCE(SUMMA_'
					+ CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP))) ) 
					+ ',0), COALESCE(KOEF_' + CONVERT(VARCHAR(10),(Select  COUNT(DISTINCT YEAR(PERIOD) * 100 + MONTH(PERIOD)) FROM #BASE WHERE YEAR(PERIOD) * 100 + MONTH(PERIOD) <= YEAR(DATEADD(MONTH,11,@DATE_BEGIN_RP)) *100 + MONTH(DATEADD(MONTH,11,@DATE_BEGIN_RP))) ) 
					+ ',0)' ELSE ',0,0' END
			+ ' from ' + @PAYS_MONTS + ' P1 LEFT JOIN ' + @PAYS_MONTS1 + ' P2 ON P1.LINK_PAY = P2.LINK_PAY AND P1.LINK_VKR = P2.LINK_VKR' 
		exec (@SCRIPT)
		
		SET @I = 0
		UPDATE dbo.SDOC_AVAC_TABLE3  
		SET @I = @I+1, ORDERS = @I
		WHERE LINK_UP = @LINK_DOC
	END --IF @RECALC = 0 BEGIN
	
END -- IF @RECALC <= 1

IF @RECALC < = 1 ---    
BEGIN
	---- 
	DECLARE @WTIME TABLE(M INT, Y INT, DAYS NUMERIC(18,2), HOURS NUMERIC(18,2), DAYS_NORM NUMERIC(18,2), HOURS_NORM NUMERIC(18,2))

	--   
	INSERT INTO @WTIME (M,Y)
	SELECT m,y 
	FROM dbo.months_ex(@DATE_BEGIN_RP, @DATE_END_RP)
		

	Declare @KBK_DEF INT
	SET @KBK_DEF = (Select top 1 link_kbk from dbo.KU_EmplStafKBK(default) where link_empl = @LINK_EMPL)

	---
	DECLARE @TABLE2 TABLE (Y INT, M INT, LINK_KBK INT, SUMMA_ZP NUMERIC(18,2), SUMMA_PR NUMERIC(18,2), SUMMA_MAT NUMERIC(18,2))
	INSERT INTO @TABLE2
	SELECT  
		T.Y,
		T.M,
		COALESCE(B.LINK_KBK,@KBK_DEF),
		SUMMA_ZP = SUM( CASE WHEN coalesce(PAYMENT,0) not in (6,7,12) THEN coalesce(SUMMA,0) ELSE 0 END),
		SUMMA_PR = SUM( CASE WHEN coalesce(PAYMENT,0) in (6,7) THEN (CASE WHEN @FURLOUGH_GOS_OPT1 = 1 THEN ROUND(coalesce(SUMMA,0)/12,2) ELSE coalesce(SUMMA,0) END) ELSE 0 END),
		SUMMA_MAT = SUM( CASE WHEN coalesce(PAYMENT,0) = 12 THEN (CASE WHEN @FURLOUGH_GOS_OPT2 = 1 THEN ROUND(coalesce(SUMMA,0)/12,2) ELSE coalesce(SUMMA,0) END) ELSE 0 END)
	FROM 
		@WTIME T LEFT JOIN 
		(
		Select PERIOD = DATEADD(MONTH,0,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,0,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,0,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA1,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA1,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,1,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,1,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,1,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA2,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA2,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,2,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,2,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,2,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA3,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA3,0) <> 0
	UNION ALL 
		Select PERIOD = DATEADD(MONTH,3,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,3,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,3,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA4,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA4,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,4,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,4,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,4,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA5,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA5,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,5,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,5,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,5,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA6,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA6,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,6,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,6,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,6,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA7,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA7,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,7,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,7,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,7,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA8,0) 
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA8,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,8,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,8,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,8,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA9,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA9,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,9,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,9,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,9,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA10,0) 
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA10,0) <> 0 
	UNION ALL
		Select PERIOD = DATEADD(MONTH,10,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,10,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,10,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA11,0)  
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3  WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA11,0) <> 0
	UNION ALL
		Select PERIOD = DATEADD(MONTH,11,@DATE_BEGIN_RP), REF_PAY, LINK_KBK, PAYMENT,
			DATE1 = dbo.DateBeginOfMonth(DATEADD(MONTH,11,@DATE_BEGIN_RP)), 
			DATE2 = dbo.DateEndOfMonth(DATEADD(MONTH,11,@DATE_BEGIN_RP)),	
			SUMMA = COALESCE(T3.KSUMMA12,0)
		FROM dbo.DOCUMENTS_ADD_FUR_TABLE1 T3 WHERE LINK = @LINK_DOC AND COALESCE(T3.KSUMMA12,0) <> 0
	) AS B ON T.Y = YEAR(B.PERIOD) AND T.M = MONTH(B.PERIOD)
	GROUP BY
		T.Y, T.M, B.LINK_KBK

	-----
	DELETE FROM dbo.SDOC_AVAC_TABLE2  WHERE LINK_UP = @LINK_DOC

	INSERT INTO dbo.SDOC_AVAC_TABLE2 (LINK_UP, ORDERS, PERIOD, LINK_KBK, SUMMA, PREM, DAYS, HOURS, DAYS_N, HOURS_N, MATER)
	SELECT  @LINK_DOC, 0, dbo.ConvertDMY2Date(1, M, Y), 
	LINK_KBK, 
	SUMMA_ZP,
	SUMMA_PR, 
	0,0,0,0,SUMMA_MAT
	FROM @TABLE2
	ORDER BY Y, M, LINK_KBK

	INSERT INTO dbo.SDOC_AVAC_TABLE2 (LINK_UP, ORDERS, PERIOD, LINK_KBK, SUMMA, PREM, DAYS, HOURS, DAYS_N, HOURS_N, MATER)
	SELECT  @LINK_DOC, 0, @DATE_BEGIN, 
	(CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end), 
	sum(SUMMA),
	0, 
	0,0,0,0,0
	FROM #BASE1
	where p = 0
	group by (CASE WHEN @KBK_OPT = 1 then LINK_VKR else @DEFAULT_KBK end)

	SET @I = 0
	UPDATE dbo.SDOC_AVAC_TABLE2  
	SET @I = @I+1, ORDERS = @I
	WHERE LINK_UP = @LINK_DOC


END	--IF @RECALC < = 1

IF @RECALC < = 2 ---       
BEGIN		



	---       
	DECLARE @INDEX TABLE ([DATE] DATETIME, [DATE2] DATETIME, SUMMA NUMERIC(18,2), INDEX_VAL NUMERIC(18,10))

	INSERT INTO @INDEX
	SELECT DISTINCT 
		[DATE] = CASE WHEN @DATE_BEGIN >= DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END, 
		NULL,
		0,
		1
	FROM 
		DBO.DICTIONARY_PAYS_EMPL_FN(@DATE_END, @LINK_EMPL, DEFAULT, DEFAULT, @DEP_LINK, DEFAULT) S
	WHERE
		S.WAY_CALC not in (6, 7, 12)
		AND
		s.LINK_PAYS IN (Select T.PAY_LINK FROM dbo.group_pays(@LINK_PAYS) T)	

		
	UPDATE A
	SET A.DATE2 = ISNULL((SELECT MIN(B.[DATE])-1 FROM @INDEX B WHERE B.[DATE] > A.[DATE]),@DATE_END)
	FROM @INDEX A
		
	DECLARE @Cur1 CURSOR, @Cur2 CURSOR, @NEXT_DATE DATETIME, @NEXT_DATE2 DATETIME, @INDEX_VAL NUMERIC(18,10)
	SET @Cur1 = CURSOR FORWARD_ONLY

	FOR SELECT [DATE] FROM @INDEX ORDER BY [DATE]

	OPEN @Cur1
	FETCH NEXT FROM @Cur1 INTO @NEXT_DATE
	WHILE (@@fetch_status <> -1)
	BEGIN
		IF (@@fetch_status <> -2)
		BEGIN

			UPDATE @INDEX 
			SET SUMMA = (SELECT SUM(SUMMA) FROM dbo.SA_ALL_PAYS_ALL_DATE0(@LINK_EMPL, @NEXT_DATE, DEFAULT, @LINK_DEP) WHERE LINK_SOVM = 0)
			WHERE [DATE] = @NEXT_DATE

			SET @INDEX_VAL = 1
		
			SET @Cur2 = CURSOR FORWARD_ONLY
			FOR SELECT [DATE] FROM @INDEX WHERE [DATE] <= @NEXT_DATE ORDER BY [DATE]
			OPEN @Cur2
			FETCH NEXT FROM @Cur2 INTO @NEXT_DATE2
			WHILE (@@fetch_status <> -1)
			BEGIN
				IF (@@fetch_status <> -2)
				BEGIN
					SET @INDEX_VAL = @INDEX_VAL 
					* (CASE WHEN (SELECT TOP 1 SUMMA FROM @INDEX WHERE [DATE] < @NEXT_DATE2 ORDER BY [DATE] DESC) <> 0
						THEN
							(SELECT SUMMA / (SELECT TOP 1 SUMMA FROM @INDEX WHERE [DATE] < @NEXT_DATE2 ORDER BY [DATE] DESC) FROM @INDEX WHERE [DATE] = @NEXT_DATE2)
						ELSE 1
						END)
				END
				FETCH NEXT FROM @Cur2 INTO @NEXT_DATE2
			END

			CLOSE @Cur2
			DEALLOCATE @Cur2				

			UPDATE @INDEX 
			SET INDEX_VAL = @INDEX_VAL
			WHERE [DATE] = @NEXT_DATE
			
		END

		FETCH NEXT FROM @Cur1 INTO @NEXT_DATE
	END

	CLOSE @Cur1
	DEALLOCATE @Cur1

	--- 
	DECLARE @PERIODY TABLE (DATE_BEGIN DATETIME, DATE_END DATETIME, INDEX_VAL NUMERIC(18,10), DH_NORM NUMERIC(18,2))
	DECLARE @PERIODY_DOP TABLE (NUM INT IDENTITY(1,1), DATE_BEGIN DATETIME, DATE_END DATETIME, T TINYINT)

		--- 1.     
	if @DATE_BREAK IS NULL
		INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
		SELECT 
			DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  
		from dbo.months_ex(@DATE_BEGIN, @DATE_END)
	ELSE
	BEGIN
		SET @DATE_BREAK = @DATE_BREAK -1
		
		INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
		select 
			DATE_BEGIN = (CASE WHEN @DATE_BEGIN > DATE_BEGIN THEN @DATE_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN  @DATE_BREAK < dbo.DateEndOfMonth(DATE_BEGIN) THEN  @DATE_BREAK ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  
		from dbo.months_ex(@DATE_BEGIN, @DATE_BREAK)
		UNION ALL
		select 
			DATE_BEGIN = (CASE WHEN @DATE_BREAK_NEW_BEGIN > DATE_BEGIN THEN @DATE_BREAK_NEW_BEGIN ELSE DATE_BEGIN END), 
			DATE_END = (CASE WHEN @DATE_END < dbo.DateEndOfMonth(DATE_BEGIN) THEN @DATE_END ELSE dbo.DateEndOfMonth(DATE_BEGIN) END),
			1 --  			
		from dbo.months_ex(@DATE_BREAK_NEW_BEGIN, @DATE_END)

	END

	--  
	INSERT INTO @PERIODY_DOP (DATE_BEGIN, DATE_END, T)
	SELECT DATE_BEGIN = [DATE], DATE_END = [DATE2], 2 FROM @INDEX	

	DECLARE @A TABLE (NUM INT, [DATE] DATETIME, T INT)
	DECLARE @MIN_D DATETIME, @MAX_D DATETIME
	SELECT @MIN_D = MIN(DATE_BEGIN), @MAX_D = MAX(DATE_END) FROM @PERIODY_DOP

	INSERT INTO @A (NUM, [DATE], T)
	SELECT P.NUM, [DATE], T 
	FROM
		@PERIODY_DOP P
		INNER JOIN dbo.days_ex(@MIN_D, @MAX_D) D ON D.[DATE] BETWEEN P.DATE_BEGIN AND P.DATE_END
	ORDER BY P.NUM		

	DECLARE @T1 TABLE (NUM1 INT, [DATE] DATETIME, NUM2 INT)

	INSERT INTO @T1 (NUM1, [DATE], NUM2)
	SELECT A1.NUM, A1.[DATE], A2.NUM
	FROM @A A1 INNER JOIN @A A2 ON A1.[DATE] = A2.[DATE]
	WHERE A1.T = 1 AND A2.T = 2
	UNION
	SELECT A2.NUM, A2.[DATE], A1.NUM
	FROM @A A1 INNER JOIN @A A2 ON A1.[DATE] = A2.[DATE]
	WHERE A1.T = 1 AND A2.T = 2

	INSERT INTO @PERIODY (DATE_BEGIN, DATE_END, INDEX_VAL)
	SELECT 
		DATE_BEGIN, DATE_END,
		INDEX_VAL = ISNULL((SELECT INDEX_VAL FROM @INDEX I WHERE T.[DATE_BEGIN] BETWEEN I.DATE AND I.DATE2 AND T.[DATE_END] BETWEEN I.DATE AND I.DATE2),1)
	FROM (
		SELECT DISTINCT DATE_BEGIN = MIN([DATE]), DATE_END = MAX([DATE]) FROM @T1 GROUP BY NUM1, NUM2	
		) T	

	----
	UPDATE @PERIODY
	SET DH_NORM = DATEDIFF(DAY,DATE_BEGIN, DATE_END)+1 - (CASE WHEN @HOLIDAY = 1 THEN dbo.SA_HOLIDAY_COUNT_FN(DATE_BEGIN,DATE_END) ELSE 0 END) + @PDAY

	---
	DECLARE @REP_SUMMA_PR NUMERIC(18,2), @SUMMA_ZP NUMERIC(18,2), @SUMMA_PR NUMERIC(18,2), @PNORM NUMERIC(18,2), @PWORK NUMERIC(18,2), 
		@SR_ZP NUMERIC(18,2), @AvgDays NUMERIC(18,2), @DAYS_SZ NUMERIC(18,2)
	SET @AvgDays = COALESCE(dbo.sa_get_option_by_code('FURLOUGH_OPT4'),29.4)
	
	---	
	SELECT 
		@SUMMA_ZP = COALESCE(SUM(SUMMA),0), 
		@SUMMA_PR = COALESCE(SUM(PREM),0) + COALESCE(SUM(MATER),0),
		@REP_SUMMA_PR = SUM(PREM)
	FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC

	---	
	SET @SR_ZP = CASE WHEN @AvgDays <> 0 THEN (@SUMMA_ZP + @SUMMA_PR) / @AvgDays ELSE 0 END
		
	DECLARE @KBK_KOEF TABLE (LINK_KBK INT, KOEF NUMERIC(18,4))
	DECLARE @S NUMERIC(18,2)
	SET @S = COALESCE((SELECT SUM(SUMMA) + SUM(PREM) + SUM(MATER) FROM dbo.SDOC_AVAC_TABLE2 WHERE LINK_UP = @LINK_DOC),0)

	INSERT INTO @KBK_KOEF (LINK_KBK, KOEF) 
	SELECT LINK_KBK, CASE WHEN @S <> 0 THEN (SUM(SUMMA) + SUM(PREM) + SUM(MATER)) / @S ELSE 0 END
	FROM dbo.SDOC_AVAC_TABLE2  WHERE LINK_UP = @LINK_DOC 
	GROUP BY LINK_KBK
	
	---
	DELETE FROM dbo.SDOC_AVAC_TABLE1  WHERE LINK_UP = @LINK_DOC


	INSERT INTO dbo.SDOC_AVAC_TABLE1 (LINK_UP, ORDERS, DATE1, DATE2, [DAYS], [HOURS], SR_ZP, SUMMA, LINK_KBK, KOEF_KBK, KOEF_IDX)
	SELECT @LINK_DOC, 0, DATE_BEGIN, DATE_END, 
		DH_NORM,
		ISNULL(CONVERT(NUMERIC(10,2),dbo.NORM_HOUR_DH(@LINK_EMPL,DATE_BEGIN,DATE_END)),0),
		SR_ZP = @SR_ZP,
		0,
		K.LINK_KBK,	
		K.KOEF,
		P.INDEX_VAL
	FROM @PERIODY P INNER JOIN @KBK_KOEF K ON 1=1
	ORDER BY DATE_BEGIN

	UPDATE sdoc_avac WITH (ROWLOCK) 
	SET 
		LINK_EMPL = @LINK_EMPL, LINK_PAY=@LINK_PAYS, DATE_BEGIN=@DATE_BEGIN_RP, SUMMA_TOTAL = @SUMMA_ZP, SR_PREM=@SUMMA_PR, 
			TYP_PERIOD=@TYP_PERIOD, SUMMA_BASE = @SR_ZP, 
		PAYMENT=@PAYMENT, REF_DOC = @LINK_VAC, DATE1 = @DATE_BEGIN, DATE2 = @DATE_END, [TYPE] = @SR_VID
	WHERE 
		LINK_UP = @LINK_DOC

	--       ,    
	IF dbo.sa_get_option_by_code('FURLOUGH_OPT6') = 1 AND (@OBJ_CODE = 'DOCUMENTS_ADD_FURLOUGH' OR @OBJ_CODE = 'DOCUMENTS_CALC_AVG' AND @SR_VID = 1)
		UPDATE dbo.SDOC_AVAC_TABLE1
		SET SR_ZP = case when SR_ZP < dbo.minrot2(DATE1) / (datediff(day,dbo.DateBeginOfMonth(DATE1),dbo.DateEndOfMonth(DATE1)) + 1) 
			then	
				dbo.minrot2(DATE1) / (datediff(day,dbo.DateBeginOfMonth(DATE1),dbo.DateEndOfMonth(DATE1)) + 1)
			else	
				SR_ZP 
			end
	WHERE LINK_UP = @LINK_DOC

END --@RECALC <= 2 

-----------------------------------------
Select CJ.DATE_BEGIN, CJ.DATE_END, CJ.LINK_VKR, CJ.DAYS, CJ.HOURS, SUMMA = SUM(SUMMA)
INTO #SUM_OLD
from 
	dbo.SDOC_AVAC SA inner join dbo.CALCULATE_JURNAL CJ on CJ.LINK_DOC = SA.LINK_UP
	inner join dbo.sdoc d on CJ.LINK_DOC = d.link 
where
	COALESCE(@LINK_VAC,0) > 0
	AND
	SA.REF_DOC = @LINK_VAC
	and
	d.object = (Select top 1 link from s_objects where code = @OBJ_CODE)
GROUP BY
	CJ.DATE_BEGIN, CJ.DATE_END, CJ.DAYS, CJ.HOURS, CJ.LINK_VKR

DECLARE @INDEX_ZP INT, @INDEX_PREM INT
SET @INDEX_ZP = 1
SET @INDEX_PREM = dbo.sa_get_option_by_code('FURLOUGH_GOS_OPT6')

----  
UPDATE dbo.SDOC_AVAC_TABLE1
SET SUMMA_NEW = CONVERT(NUMERIC(18,2), T.SR_ZP * T.[DAYS] * KOEF_KBK) 
	+ CASE WHEN KOEF_IDX > 1 AND @INDEX_ZP = 1 THEN 
		CONVERT(NUMERIC(18,4), (CASE WHEN @AvgDays <> 0 THEN SUMMA_TOTAL / @AvgDays ELSE 0 END) * T.[DAYS] * KOEF_KBK * (KOEF_IDX-1) )
	  ELSE 
		0	
	  END
	+ CASE WHEN KOEF_IDX > 1 AND @INDEX_PREM = 1 THEN 
		CONVERT(NUMERIC(18,4), (CASE WHEN @AvgDays <> 0 THEN SR_PREM / @AvgDays ELSE 0 END) * T.[DAYS] * KOEF_KBK * (KOEF_IDX-1) )
	  ELSE 
		0		
	  END,	  
	 SUMMA_OLD = COALESCE(SO.SUMMA,0),
	[DAYS] = COALESCE(T.DAYS,0) - COALESCE(SO.DAYS,0), 
	[HOURS] = COALESCE(T.HOURS,0) - COALESCE(SO.HOURS,0)
FROM dbo.sdoc_avac A INNER JOIN dbo.SDOC_AVAC_TABLE1 T ON A.LINK_UP = T.LINK_UP
	LEFT JOIN #SUM_OLD SO ON T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END AND T.LINK_KBK = SO.LINK_VKR
WHERE T.LINK_UP = @LINK_DOC AND KOEF_KBK IS NOT NULL AND SR_ZP IS NOT NULL

--  ,   
insert into dbo.SDOC_AVAC_TABLE1 (link_up, ORDERS, DATE1, DATE2, DAYS, HOURS, SUMMA, LINK_KBK, SR_ZP, KOEF_KBK, SUMMA_OLD, SUMMA_NEW)
Select @LINK_DOC, 0, DATE_BEGIN, DATE_END, -DAYS, -HOURS, 0, LINK_VKR, 0, 1, SO.SUMMA, 0
from #SUM_OLD SO
where 
	NOT EXISTS (Select * from dbo.SDOC_AVAC_TABLE1 T where T.LINK_UP = @LINK_DOC and T.DATE1 = SO.DATE_BEGIN AND T.DATE2 = SO.DATE_END AND T.LINK_KBK = SO.LINK_VKR)

---- 
UPDATE dbo.SDOC_AVAC_TABLE1
SET SUMMA = COALESCE(SUMMA_NEW,0) - COALESCE(SUMMA_OLD,0)
WHERE LINK_UP = @LINK_DOC


---
SET @I = 0
UPDATE dbo.SDOC_AVAC_TABLE1  
SET @I = @I+1, ORDERS = @I
WHERE LINK_UP = @LINK_DOC

---
DECLARE @SUMMA NUMERIC(18,2)
SELECT @SUMMA = COALESCE((SELECT SUM(SUMMA) FROM dbo.SDOC_AVAC_TABLE1 WHERE LINK_UP = @LINK_DOC),0), @SUMMA_ZP = COALESCE(@SUMMA_ZP,0), @SUMMA_PR = COALESCE(@SUMMA_PR,0)
---
SELECT @NUMBER = NUMBER,  @DATE_DOC = [DATE] from dbo.SDOC WHERE LINK = @LINK_DOC
---  
SELECT @varKSsoLink = LINK FROM s_objects  WHERE CODE = @OBJ_CODE
EXECUTE dbo.SALARY_UPD_SDOC @LINK_DOC OUTPUT, @varKSsoLink, @NUMBER,@DATE_DOC,@comment,0,null,@SUMMA, @LINK_DEP

IF @OPER = 1 
	exec dbo.SD_N_VACATION_PROV @LINK_DOC, @OBJ_CODE

SET NOCOUNT OFF

GO


GRANT EXECUTE ON dbo.[SA_N_VAC_FILL2] TO PUBLIC

GO
